<?php
//Session Checking
session_start();
if (!$_SESSION['user_id']) {
    header("Location: ./../../index.php"); //redirect to login page to secure the welcome page without login access.  
}

require_once './../../connection.php';
require_once './../../pera.php';
require_once '../../Main/CommonUtility.php';
require_once '../../Main/Modal/Lab_Modal.php';

require_once '../../Main/Modal/Parameter_Value.php';
$parameterObj = new Parameter_Value($conn);
$roomCatToPrinting = $parameterObj->Room_Category_To_Display();
$todate = date('Y-m-d');
$fromdate = date('Y-m-d');
$status = 'danger';
$checkFlag = FALSE;

$historyFlag = $_REQUEST['h'];
if ($historyFlag == 'Y') {
    ?>
    <input type="hidden" id="historyFlag" name="history" value="<?php echo $historyFlag; ?>">
    <?php
} else {
    ?>
    <input type="hidden" id="historyFlag" name="history" value="N">
    <?php
}
?>
    <input type="hidden" name="onlyPrinting" id="onlyPrinting" value="<?php echo $_REQUEST['onlyPrinting'];?>"/>
    <input type="hidden" name="biopsyReport" id="biopsyReport" value="<?php echo $_REQUEST['biopsyReport'];?>"/>
    <?php

if (isset($_POST['todate']) && !empty($_POST['todate']) && isset($_POST['fromdate']) && !empty($_POST['fromdate']) && isset($_POST['status']) && !empty($_POST['status'])) {
    $todate = $_POST['todate'];
    $IPD = intval($_POST['ipd']);
    $OPD = intval($_POST['opd']);
    $status = $_POST['status'];
    $fromdate = $_POST['fromdate'];
    $test_classification = $_POST['test_classification'];
}
$patientId = !empty($_REQUEST['patientId']) ? intval($_REQUEST['patientId']) : $_REQUEST['hiddenPatientIDFilter'];
$labModal = new Lab_Modal($conn);

// Patient And Some Service req details
$patientDetails = $labModal->getPatientDetails($p_labTestDisplayWithoutPymt, $todate, $OPD, $IPD, $patientId, $fromdate, $status,$test_classification);
?>
<head>
    <meta charset="UTF-8">
    <title>THIMS|Laboratory</title>
    <?php require_once '../../links_head.php';?>
    <link rel="stylesheet" href="../../plugins/bootstrap-sweetalert/dist/sweetalert.css">
    <link rel="stylesheet" href="../../bootstrap/css/mystyle.css">
    <style>
              input[readonly] {
background-color: #eee;
    opacity: 1;
}
        table{font-size: 13px;}
        label{font-size:13px;}
        .textInput{ height: 22px !important;width: 55px !important;font-size: 12px !important;}
        .dateInput{ height: 22px !important;font-size: 12px !important;width: 117px;}
        .selectInput{ height: 22px !important;font-size: 12px !important;width: 100px;}
        .table{font-size:13px;}
        .table thead > tr > th { border-bottom: none; padding:4px;}
        .table thead > tr > th, .table tbody > tr > th, .table tfoot > tr > th { border-top: 1px solid black; }
        .table tbody > tr > td {padding:2px;}
        .table.dataTable tbody tr.active td,
        .table.dataTable tbody tr.active th {
                background-color: #08C;
                color: white;
        }
        .table.dataTable tbody tr.active a{
                background-color: #08C;
                color: white;
        }
        #header{padding:0px; padding-left:10px;}
        #title{margin-left:15px;}
        .dataTables_filter input { height: 22px !important;width: 130px !important;font-size: 12px !important;}
        .dataTables_length select { height: 22px !important; padding: 0;}
        #example1_info{font-size:13px;}
        #example1_paginate{font-size: 10px;}
        a.disabled {
  pointer-events: none;
  cursor: default;
}
.col-sm-6{
    padding-right: 10px;
    padding-left: 6px;
}
.col-md-5{
     padding-right: 10px;
     padding-left: 10px;
}
    </style>
    <style>
    .edit{color:blue;}
    .delete{color:red;}
    .print{color:hotpink;}
    .printAll{color:green;}
    .remarkNote{color:#e67300;}
    a.disabled {
    pointer-events: none;
    color: #ccc;
}
    input[type=checkbox]{
    margin: 1px 0 0;
    line-height: normal;
}
.emergencyClass{
    background-color: #ff9c38;
}
</style>
</head>
<?php
require_once '../header.php';
require_once '../sidebar.php';
require '../../Components/Modals/outsource_Modal.php';
?>
<body>
    <div class="content-wrapper">
        <div class="col-xs-12">
        <div class="loadingImage"></div>
            <div class="box">
                <div class="box-header" id="header">
                    <h3 id="title"><b>Laboratory </b></h3>
                    <form style="float:left;" name="lab_service" method="post" action="" class="form-horizontal" autocomplete="off">
                        <div class="input-group">
                            <div class="col-md-12">
                                <input type="hidden" name="accessType" id="accessType" value="<?php echo $_REQUEST['type'];?>" />
                                <input type="hidden" name="printLabReportParameter" id="printLabReportParameter" value="<?php echo $p_labReportPrintWithoutPymt;?>"/>
                                <input type="hidden" name="cashBillPara" id="cashBillPara" value="<?php echo $parameterObj->InvestigationCashBillForIpBill();?>"/>
                                <?php
                                if ($historyFlag == 'Y') {
                                    ?>
                                    <input type="hidden" id="historyFlag" name="history" value="<?php echo $historyFlag; ?>">
                                    <input type="hidden" name="h" value="<?php echo $historyFlag; ?>">
                                    <?php
                                } else {
                                    ?>
                                    <input type="hidden" id="historyFlag" name="history" value="N">
                                    <input type="hidden" name="h" value="N">
                                    <?php
                                }
                                ?>
                                
                                <input  class="textInput" name="opd"  value="<?php
                                if (isset($_POST['opd']) && !empty($_POST['opd'])) {
                                    echo $_POST['opd'];
                                } else {
                                    echo '';
                                }
                                ?>"placeholder="OP ID" type="text">
                                <input  class="textInput" name="ipd"  value="<?php
                                if (isset($_POST['ipd']) && !empty($_POST['ipd'])) {
                                    echo $_POST['ipd'];
                                } else {
                                    echo '';
                                }
                                ?>" placeholder="IP ID" type="text">
                               
                                <input class="dateInput" name="patientNameFilter" id="patientNameFilter" placeholder="UH ID / Patient Name" value="<?php echo '' ;?>" type="text">
                                <input type="hidden" name="hiddenPatientIDFilter" id="hiddenPatientIDFilter" value="" />
                                <input class="dateInput" name="fromdate" title="From Date"  data-toggle="tooltip" role="tooltip" value="<?php echo $fromdate; ?>" type="date">
                                <input class="dateInput" name="todate" title="To Date" data-toggle="tooltip" role="tooltip" value="<?php echo $todate; ?>" type="date">
                                <select class="selectInput" name="status">
                                    <option value="danger" <?php echo (isset($_POST['status']) && $_POST['status'] == 'danger') ? 'selected="selected"' : ''; ?>>Pending</option>
                                    <option value="info" <?php echo (isset($_POST['status']) && $_POST['status'] == 'info') ? 'selected="selected"' : ''; ?>>Updated</option>
                                    <option value="success" <?php echo (isset($_POST['status']) && $_POST['status'] == 'success') ? 'selected="selected"' : ''; ?>>Printed</option>
                                    <option value="all" <?php echo (isset($_POST['status']) && $_POST['status'] == 'all') ? 'selected="selected"' : ''; ?>>All</option>
                                </select>
                                <select class="selectInput" id="test_classification" name="test_classification">
                                    <option value="all" <?php echo (isset($_POST['test_classification']) && $_POST['test_classification'] == 'all') ? 'selected="selected"' : ''; ?>>Select Classification</option>
                                       <?php $query = mysqli_query($conn, "SELECT * FROM `general_master` WHERE master_cd = 'TESTTYPE'");
                                       while($fetch = mysqli_fetch_object($query)):
                                                                               $selected = (isset($_POST['test_classification']) && $_POST['test_classification'] == $fetch->gm_code) ? 'selected' : ''; 
  
                                  echo "<option $selected value='".$fetch->gm_code."'>".$fetch->gm_description."</option>";    
                              endwhile;
                                       ?>
                                </select>
                                <input  class="btn btn-xs btn-success" type="submit" name="submit" value="Submit">
                            </div>
                        </div>
                    </form>
                </div>
                <div class="box-body">
                    <div class="col-md-7" style="border-right:1px solid #000;"> 
                        <table id="example1" class="table table-bordered table-striped table-hover">
                            <thead>
                                <tr>
                                    <th class="warning">Sr No</th>
                                    <th class="warning">Sample ID</th>
                                    <th class="warning">OP ID</th>
                                    <th class="warning">IP ID</th>
                                    <th class="warning">Request DateTime</th>
                                    <th class="warning">UH ID</th>
                                    <th class="warning">Patient Name</th>
                                    <th class="warning">Room</th>
                                    <?php if($p_barCodePrintFromResultInput == 'Y') { ?><th class="warning"></th><?php } ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $fYear = CommonUtility::getFyear();
                                foreach ($patientDetails as $patientDetail) {
                                    $requestCount = $patientDetail->test_requested_count;
                                                    //$labModal->countMultipleFlag($patientDetail->test_id, $fYear, 'R');
                                    $updateCount = $patientDetail->test_updated_count;
                                                    //$labModal->countMultipleFlag($patientDetail->test_id, $fYear, 'U');
                                    $printCount = $patientDetail->test_print_count;// $labModal->countMultipleFlag($patientDetail->test_id, $fYear, 'P');
                                    
                                    $visitType = $patientDetail->visit_type;
                                    $emergencyVisit = $patientDetail->emergencyVisit;
                                    $serviceBillCat = $patientDetail->receipt_cat;
                                    $serviceBillNo = $patientDetail->receipt_no; 
                                    $is_deleted = $patientDetail->is_deleted; 
                                    $dispSR_no = $is_deleted == "Y" ? "<u>$patientDetail->serial_no</u>" : "$patientDetail->serial_no";
                                    if ($requestCount >= 1) {
                                        $addClass = 'danger';
                                    } else if ($requestCount == 0 && $updateCount >= 1) {
                                        $addClass = 'info';
                                    } else if ($requestCount == 0 && $updateCount == 0 && ($printCount >= 1 || $printCount == 0 ) ) {
                                        $addClass = 'success';
                                    }
                                    if($emergencyVisit == 'Y'){
                                        $emergncyClass = "emergencyClass";       
                                        $emgMsg = "Emergency Visit";
                                    }else{
                                         $emergncyClass = $addClass;
                                         $emgMsg = "";
                                    }
                                    $samplePrint = "<a role='button' data-toggle='tooltip' data-href='../registration/lab_sticker.php?testid=$patientDetail->test_id&&visitId=$patientDetail->visit_id' class='barcodePrintBtn' title='Sample Barcode Print'><span class='glyphicon glyphicon-print'></span></a>";
                                    $samplePrintTD = $p_barCodePrintFromResultInput == 'Y' ? "<td class='$addClass'>$samplePrint</td>" : "";
                                    $roomFetch = mysqli_fetch_object(mysqli_query($conn, "SELECT room_cat_id,room_id,billing_room_cat_id FROM `room_alocation` Where `visit_id` = '$patientDetail->visit_id' AND discharge_date ='0000-00-00' AND discharge_time = '00:00:00' ORDER BY alocation_id DESC LIMIT 1 "));
                                    
                                    $room_id = $roomFetch->room_id;
                                    $room_cat_id = $roomFetch->room_cat_id;
                                    $billing_room_cat_id = $roomFetch->billing_room_cat_id;
                                    $roomDisRow = mysqli_fetch_object(mysqli_query($conn, "SELECT room_dis FROM `room_master` WHERE `room_id` = '$room_id'"));
                                    $roomDiscDisp = $roomDisRow->room_dis;
                                    if($roomCatToPrinting == 'B'){
                                        $r = mysqli_fetch_object(mysqli_query($conn, "SELECT room_cat_dis FROM `room_cat` WHERE `room_cat_id` = '$billing_room_cat_id'"));
                                    }else{
                                    $r = mysqli_fetch_object(mysqli_query($conn, "SELECT room_cat_dis FROM `room_cat` WHERE `room_cat_id` = '$room_cat_id'"));
                                    }
                                    $roomDisc = $r->room_cat_dis;
                                    
                                    if($roomCatToPrinting == 'B'){
                                        $roomDiscDisp = "";
                                        $roomDetails = $roomDisc .' '.$roomDiscDisp ;
                                    }else{
                                       $roomDetails = "$roomDisc".'-'."$roomDiscDisp"; 
                                    }
                                    ?>
                                    <tr class="clickable-row" data-billcategory="<?php echo $serviceBillCat;?>" data-opid="<?php echo $patientDetail->opd_reg_id;?>" data-ipid="<?php echo $patientDetail->ipd_reg_id;?>"  data-billnumber="<?php echo $serviceBillNo;?>" data-vtype="<?php echo $visitType;?>" >
                                    <input type="hidden" value="<?php echo $patientDetail->visit_id; ?>">
                                    <td class="<?php echo $addClass; ?>"><?php echo $dispSR_no; ?></td>
                                    <td class="<?php echo $emergncyClass;?> " title="<?php echo "$emgMsg"; ?>"><?php echo $patientDetail->test_id; ?></td>
                                    <td class="<?php echo $addClass; ?>"><?php echo $patientDetail->opd_reg_id;?></td>
                                    <td class="<?php echo $addClass; ?>"><?php echo $patientDetail->ipd_reg_id; ?></td>
                                    <td class="<?php echo $addClass; ?>"><?php echo CommonUtility::getDisplayDate($patientDetail->req_date)." ".$patientDetail->req_time; ?> </td>
                                    <td class="<?php echo $addClass; ?> patientId"><?php echo $patientDetail->patient_id; ?></td>
                                    <td class="<?php echo $addClass; ?>"><?php echo strtoupper($patientDetail->patient_name); ?></td>
                                    <td class="<?php echo $addClass; ?>"><?php echo $roomDetails ; ?></td>
                                    <?php echo $samplePrintTD;?>
                                    <input type="hidden" class="serviceReqDate" value="<?php echo $patientDetail->req_date;?>" />
                                    <input type="hidden" class="testId" value="<?php echo $patientDetail->test_id; ?>"> 
                                    <input type="hidden" class="visitId" value="<?php echo $patientDetail->visit_id; ?>"> 
                                    <input type="hidden" class="selectedDate" value="<?php echo $selectedDate; ?>"> 
                                    <input type="hidden" class="roomCategoryDescription" value="<?php echo $roomDisc; ?>"> 
                                    <input type="hidden" class="roomDescription" value="<?php echo $roomDiscDisp; ?>"> 
                                    </tr>

                            <?php } ?>
                            </tbody>
                        </table>
                    </div>
                    <div  style="max-height: 47%;overflow-y: scroll;" id="tblResult" class="col-md-5">
                        <br/><br/>
                        <table class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th class="warning"> Req Id</th>
                                    <th class="warning">Service </th>
                                    <th class="warning">Test Group </th>
                                    <th class="warning">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>    
                                    <td colspan="4">Record not selected or not found.</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div><!-- /.box-body -->
            </div>
        </div> 
    </div>
    <?php
    require_once './../../footer.php';
    ?>
    <!-- jQuery 2.1.4 -->
    <!--<script src="../../plugins/jQuery/jQuery-2.1.4.min.js" type="text/javascript"></script>-->
    <script src="../../plugins/jquery-ui-1.12.1/jquery-ui.min.js"></script>
    <script src="../../bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
    <!-- DATA TABES SCRIPT -->
    <script src="../../plugins/datatables/jquery.dataTables.min.js" type="text/javascript"></script>
    <script src="../../plugins/datatables/dataTables.bootstrap.min.js" type="text/javascript"></script>
    <script src="../../dist/js/app.min.js" type="text/javascript"></script>
    <script src="../../plugins/bootstrap-sweetalert/dist/sweetalert.min.js"></script>
    <script src="../../js/outsource_data.js"></script>
    <!-- page script -->
    <script type="text/javascript">
        $(function () {
             
            $("#example1").DataTable();

            $('#example1').on('click', '.clickable-row', function (event) {
                $(this).addClass('active').siblings().removeClass('active');
                var onlyPrinting = $('#onlyPrinting').val();
                var biopsyReport = $('#biopsyReport').val();
                var billCat = $(this).data('billcategory');
                var billNumber = $(this).data('billnumber');
                var opid = $(this).data('opid');
                var ipid = $(this).data('ipid');
                var visitType = $(this).data('vtype');
                var printLabReportParameter = $("#printLabReportParameter").val();
                var paymentDone='N';
                if(visitType == 'O' && billCat == '' && billNumber == 0 && printLabReportParameter == 'N') {
                    paymentDone = 'N';
                } else {
                    paymentDone = 'Y';
                }
                
                $(this).css('cursor', 'pointer');
                var test_classification = $("#test_classification").val();
//                alert(test_classification);
                var serviceReqDate = $(this).closest('tr').find('.serviceReqDate').val();
                var visitId = $(this).closest('tr').find('.visitId').val();
                var testId = $(this).closest('tr').find('.testId').val();
                var patientId = $(this).closest('tr').find('.patientId').text();
                var roomCategoryDescription = $(this).closest('tr').find('.roomCategoryDescription').val();
                var roomDescription = $(this).closest('tr').find('.roomDescription').val();
                var historyFlag = $('#historyFlag').val();
               
                $('#txtPatientId').val(patientId);
                var selectedDate = $(this).closest('tr').find('.selectedDate').val();
                
                if (visitId != 0) {
//                if (visitId != 0 && paymentDone == 'Y') {
                    $.ajax({
                        url : "dept_lab_service_ajax.php",
                        method: 'post',
                        async: false,
                        beforeSend: function () {
                            $(".loadingImage").show();
                        },
                        data: { test_classification : test_classification, testId: testId, visitId: visitId, selectedDate: selectedDate,ipid : ipid, opid : opid , historyFlag: historyFlag,onlyPrinting:onlyPrinting,biopsyReport:biopsyReport, accessType : $("#accessType").val(), paymentDoneFlag : paymentDone, serviceReqDate : serviceReqDate, roomCategory : roomCategoryDescription, roomDescription : roomDescription,visitType:visitType },
                        success: function (data) {
                            $("#tblResult").html(data);
                        },
                        complete: function(){
                            $(".loadingImage").hide();
                        }
                    });
                } else {
                    alert("Payment Not Done.");
                    return false;
                }
            });

            $('#example1').on('mouseover', '.clickable-row', function (event) {
                $(this).css('cursor', 'pointer');
            });
            $(document).on('click', '.checkforPayment', function(){
//                 var cashBillPara = $("#cashBillPara").val();
//                 var mediclaim = $("#mediclaim").val();
//                 var visitId = $(this).data('visit_id');
//                 var ipd = $(this).data('ipd');
//                 var opd = $(this).data('opd');
//                 var service_reqid = $(this).data('service_reqid');
//                 var fyear = $(this).data('fyear');
//
////                if(cashBillPara == 'Y' && mediclaim != 'Y'){
//                   $.ajax({
//                        url : "../../ajax/cashBillPaymentCheck.php",
//                        method: 'post',
//                        async: false,
//                       
//                        data: {  visitId: visitId,ipid : ipd, opid : opd , service_reqid : service_reqid,fyear:fyear },
//                        success: function (data) {
//                           
//                            if(data > 0){
                                errorDialog("Payment is pending - Report cannot be printed");
//                               
//                            }
//                        }
//                        
//                    });
//                }
            });
            $(document).on('click', '.printAndAll', function(){
                    var printAll = $(this).data('printall');
                    var href = $(this).data('href');
                    var historyFlag = $(this).data('historyflag');
                    var paymentDoneFlag = $(this).data('paymentdoneflag');
                if(paymentDoneFlag == 'N'){
                    alert("Payment Not Done.");
                    return false;
                } else {
                    if(printAll == 'N'){
                        var reqId = [];
                        //if any checkbox checked validation
                        if (jQuery('input[type=checkbox]:checked').length) {
                            $.each($("input[name='checkbox']:checked"), function () {
                                reqId.push($(this).val());
                            });
                        } else {
                            reqId.push($(this).data('reqid'));
                        }
                        var finalReqId = reqId.join(",");
                        href = href+"&&req_id="+finalReqId+"&&printSamePage=N";
//                        var href = href.replace("req_id%3D0", "req_id%3D"+finalReqId);

                        if(reqId.length == 1){
                            swal.close()
                            var target = historyFlag == 'N' ? '_blank' : '_self'; //_blank
                            window.open(href, target);
                        }
                    }
                    var inviteDevInput = '<form><div class=""><input type="radio" name="printSeting" id="radio1" ng-model="radioValue" ng-value="1" value="Y" > <label for="radio1"> Yes </label> &nbsp; <input type="radio" name="printSeting" id="radio2" ng-model="radioValue" ng-value="2" ng-click="getVal()" value="N" checked> <label for="radio2"> No </label> </div></form>';
                    var samePage;
                    swal({
                        title: "Do you want print all reports on same page?",
                        text: inviteDevInput,
                        html: true,
                        showCancelButton: true,
                        confirmButtonColor: "#006DCC",
                        confirmButtonText: "OK",
                        cancelButtonText: "Close",
                        closeOnConfirm: false,
                        closeOnCancel: true
                    }, // Function that validates email address through a regular expression.
                    function () {
                        samePage = $("input[name=printSeting]:checked").val();
                        var newPath = href+"&&printSamePage="+samePage;
//                        var newUrl = href.replace("printSamePage%3DN", "printSamePage%3D"+samePage);

                        var target = historyFlag == 'N' ? '_blank' : '_self'; // _blank
                        window.open(newPath, target);
                        swal.close();
                    });
            }
            });
            $('#patientNameFilter').on("keypress", function (e) {
                patSearchAutoComplete($('#patientNameFilter'));
            });
            $(document).on('click', '.barcodePrintBtn', function(){
                    window.open($(this).data('href'), '_blank');
            });
$('#Agency').on("keypress", function (e) {
                 autoTypeNo=0; 
                  $(this).autocomplete({
		source: function( request, response ) {
			$.ajax({
				url : '../../pages/lab/agencySearch_ajax.php',
                                dataType: "json",
				method: 'post',
				data: {
				   name_startsWith: request.term,requestfromlab : 'Y',
				},
				 success: function( data ) {
					console.log(data);

					 response( $.map( data, function( item ) {
					 	var code = item.split("|");
						return {
							label: code[autoTypeNo],
							value: code[autoTypeNo],
							data : item
						}
					}));
				}
			});
		},
                appendTo : '#outsorceModal',
		autoFocus: true,
		minLength: 0,
		select: function( event, ui ) {
                    console.log(ui.item.data);
                    var names = ui.item.data.split("|");
                   // alert(names);
                    $('#Agency').val(names[0]);
                    $('#address1').val(names[1]);
                    $('#address2').val(names[2]);
                    $('#address3').val(names[3]);
                    $('#State').val(names[4]);
                    $('#Pin').val(names[5]);
                    $('#primary_no').val(names[11]);
                    $('#secondary_no').val(names[12]);
                   
                   // $('#RequestedBy').val(names[6]);
                    //$('#RequestedDateTime').val(names[7]);
                    //$('#ReceivedBy').val(names[8]);
                   // $('#ReceivedDateTime').val(names[9]);
                    $('#agency_id').val(names[13]);
                    $('#city').val(names[10]);
                   
		},
                change: function(event, ui) {
                    if (ui.item == null) {
                        $('#Agency').val('');
                        $('#Agency').focus();
                    } else {
                        $("#e_msg").html("");
                    }
                }
	});
            });
            $('input[name=opd]').on("blur", function(){
                if($(this).val() != ''){
                    $('input[name=ipd]').val('');
                    $('input[name=sampleID]').val('');
                    $('input[name=patientNameFilter]').val('');
                    $('#hiddenPatientIDFilter').val('');
                }
            });
            $('input[name=sampleID]').on("blur", function(){
                if($(this).val() != ''){
                    $('input[name=ipd]').val('');
                    $('input[name=opd]').val('');
                    $('input[name=patientNameFilter]').val('');
                    $('#hiddenPatientIDFilter').val('');
                }
            });
            $('input[name=ipd]').on("blur", function(){
                if($(this).val() != ''){
                    $('input[name=sampleID]').val('');
                    $('input[name=opd]').val('');
                    $('input[name=patientNameFilter]').val('');
                    $('#hiddenPatientIDFilter').val('');
                }
            });
        
    $(document).on('click', '.checkbox', function(){
      if($("input:checkbox:checked").length == 0) {
            $('.printAll').show();
         } else {
            $('.printAll').hide();
         }
       
    });
    
     $(document).on('click', '.samplePending', function(){
         // $(".outsourcebutton").attr("disabled", true);
         errorDialog("Please Print Sample First");
     });
//     $(document).on('click', '.outsourcebutton', function(){
//         // $(".outsourcebutton").attr("disabled", true);
//          $(".edit").hide();
//     });

   
        });
        function patSearchAutoComplete(id) {
            id.autocomplete({
                source: "../lab/labPatientSearch.php",
                focus: function( event, ui ) {
                    id.val( ui.item.desc );
                    return false;
                },
                select: function (event, ui) {
                    $(".textInput").val('');
                        id.val(ui.item.desc);
                        $("#hiddenPatientIDFilter").val(ui.item.value);
                        //window.location = 'dept_lab_service.php?patientId='+ui.item.value;//ui.item.fileLink;
                        return false;
                }
            })
            .data( "ui-autocomplete" )._renderItem = function( ul, item ) {
                return $( "<li>" )
                .append( "<div>" +item.desc+"</div>" )
                .appendTo( ul );
            };
        }
    </script>
    <script>
  $(document).on("click",'.delete', function () { 
//    $(".delete").on("click", function () {
        var result = confirm("Are You Sure You Want to Delete!");
        if (result == true) {
            var currentDelete = $(this);
            var serviceReqId = $(this).data("servicereqid");
            var action = 'delete';
            var className = '.serviceReq' + serviceReqId;
            $.post("dept_lab_service_action.php", {labReqBillCheck: "Y", serviceReqId : serviceReqId}, function (data, status) {
                if(data > 0){
                    errorDialog('Bill for this service is prepared, You can not delete this service.');
                } else {
                    $.post("dept_lab_service_action.php", {serviceReqId: serviceReqId, action: action}, function (data, status) {
                        if (data == '1') {
                            $(className).remove();
                        }
                    });
                }
            });
        }
    });

    $('.print11').on("click", function () {
        var reqId = [];
        var fyear = $(this).data('fyear');
        var opd = $(this).data('opd');
        var ipd = $(this).data('ipd');
        var visitId = $(this).data('visit_id');
        var deptSeqNo = $(this).data('deptseqno');
        var grpCd = $(this).data('grpcd');
        var historyFlag = $('#historyFlag').val();


        //if any checkbox checked validation
        if (jQuery('input[type=checkbox]:checked').length) {
            $.each($("input[name='checkbox']:checked"), function () {
                reqId.push($(this).val());
            });
        } else {
            reqId.push($(this).data('reqid'));
        }
        var finalReqId = reqId.join(",");
        if (historyFlag == 'Y') {
            var url = "../lab/report_print.php?req_id=" + finalReqId + "&&opd_reg_id=" + opd + "&&ipd_reg_id=" + ipd + "&&grp_cd=" + grpCd + "&&dept_seq_no=" + deptSeqNo + "&&visit_id=" + visitId + "&&fyear=" + fyear + "&h=Y";
            window.location.href = url;
        } else {
            var url = "../lab/report_print.php?req_id=" + finalReqId + "&&opd_reg_id=" + opd + "&&ipd_reg_id=" + ipd + "&&grp_cd=" + grpCd + "&&dept_seq_no=" + deptSeqNo + "&&visit_id=" + visitId + "&&fyear=" + fyear;
            window.open(url, '_blank');
        }

    });

    $('#example2').on('click', '.clickable-row', function (event) {
        var currentTr = $(this);
        currentTr.css('color', 'red').siblings().css('color', '#000');
        currentTr.css('cursor', 'pointer');
    });

    $('#example2').on('mouseover', '.clickable-row', function (event) {
        $(this).css('cursor', 'pointer');
    });
 $(".loadingImage").hide();
</script>
</body>
</html>
