<?php
require_once '../../connection.php';
//require_once '../../config.php';
//require_once '../../para_val.php';
require_once '../../Main/Modal/Lab_Modal.php';
require_once '../../Main/Modal/Parameter_Value.php';
require_once '../../Main/CommonUtility.php';

$labModal = new Lab_Modal($conn);
$paraObj = new Parameter_Value($conn);

$p_two_stage_approval = $paraObj->labRequestTwoStageApproval();
$p_labReportPrintFile = $paraObj->labReportPrintFile();
$p_labSensitiveReportPrintFile = $paraObj->labSensitivityReportPrintFile();
$InvestigationCashBillForIpBill = $paraObj->InvestigationCashBillForIpBill();
$investigationVisibleWOBill = $paraObj->investigationVisibleWOBill();
$p_labTestDisplayWithoutPymt = $paraObj->p_labTestDisplayWithoutPymt();
$p_labReportPrintWithoutPymt = $paraObj->labReportPrintWithoutPymt();
$labStickerPrintMandatory = $paraObj->labStickerPrintMandatory();
$roomCatToPrinting = $paraObj->Room_Category_To_Display();

$visitId = $_POST['visitId'];
$visitType = $_POST['visitType'];
$opid = $_POST['opid'];
$ipid = $_POST['ipid'];
$testId = $_POST['testId'];
$test_classification = $_POST['test_classification'];
if($test_classification != 'all'){
  $classificationCheck = " AND tgm.test_classification = '$test_classification'";
//  $testClassificationCode = 'Y';
  $testClassificationCode = $test_classification;
}else{
  $classificationCheck = " ";
//  $testClassificationCode = "N";
  $testClassificationCode = "N";
}
$historyFlag = $_POST['historyFlag'];
$onlyPrinting = $_POST['onlyPrinting'];
$biopsyReport = $_POST['biopsyReport'];
if($onlyPrinting == 'Y'){
    $disable = 'disabled';
    $display = 'display: none';
}else{
    $disable = '';
    $display = '';
}
$selectedDate = $_POST['selectedDate'];
$serviceReqDate = $_POST['serviceReqDate'];
$srReqDisplayDate = CommonUtility::getDisplayDate($serviceReqDate);
$getFyear = CommonUtility::getFyearFromDate($srReqDisplayDate);
//$fyear = ($serviceReqDate <=  '2019-03-31') ? 1819 : 1920;
$resultFromLabRequest = mysqli_fetch_object(mysqli_query($conn, "SELECT `fyear` FROM service_request WHERE visit_id='$visitId' and fyear = '$getFyear' order by req_id desc,fyear desc LIMIT 1"));
$mediclaimQry = mysqli_fetch_object(mysqli_query($conn, "SELECT `mediclaim` FROM ipd WHERE ipd_reg_id='$ipid'"));
$mediclaim = $mediclaimQry->mediclaim;
$fYear = $resultFromLabRequest->fyear;
$accesstype = $_POST['accessType'];
$paymentDoneFlag = $_POST['paymentDoneFlag'];
$roomCategory = $_POST['roomCategory'];

if($_POST['roomDescription'] != ""){
   $roomDescription =  ' - ' . $_POST['roomDescription'];
}else{
    $roomDescription = "";
}
if ($testId) {
    
    $visitRow = mysqli_fetch_object(mysqli_query($conn, "SELECT v.`patient_id`, v.visit_type, pm.patient_name, rd.rate_card, rg.rate_type FROM `visit` v INNER JOIN pateint_master pm ON pm.patient_id = v.patient_id LEFT JOIN rate_master_detail rd ON v.patient_rate_card = rd.id LEFT JOIN rate_master_group rg ON rd.rate_group_id = rg.id WHERE visit_id = '$visitId'"));
    $rateType = $visitRow->rate_type;
    $rateCard = $visitRow->rate_card;

    ?>
    <span style="font-weight: bold;">PATIENT : <?php echo "$visitRow->patient_id" . ' / ' . "$visitRow->patient_name"; ?>
        <span style="color:blue"><?php echo "($rateType" . '/' . "$rateCard)" ?></span>
    </span>
  <?php if($biopsyReport !== 'Y'){ ?>
        <a class="btn btn-xs btn-success pull-right" href="../lab/labTestHistoryPatientWise.php?opid=<?php echo $opid;?>&&ipid=<?php echo $ipid;?>&&visitID=<?php echo $visitId;?>" target="_blank">Inv. History</a>
  <?php } ?>  <?php if($roomCategory != "" ){ ?>
        <br>
        <span style="font-weight: bold;">ROOM : <?php echo $roomCategory . $roomDescription; ?></span>
   <?php } ?>

    <br>
    <table id="example2" class="table table-bordered table-striped example2">
        <thead>
            <tr>
                <th colspan="2" style="text-align:center;" class="warning">Req Id</th>
                <th class="warning">Service</th>
                <?php if($biopsyReport !== 'Y'){ ?>
                <th class="warning">Test Group</th>
                <?php } ?>
                <th colspan="7" class="warning">Action</th>
            </tr>
        </thead>
        <tbody>
            <?php
            if($biopsyReport == 'Y'){
                 $labServiceQry = mysqli_query($conn, "SELECT lr.lab_req_id, lr.service_req_id, lr.fyear, lr.test_grp_cd, lr.opd_reg_id, lr.ipd_reg_id, lr.req_date, lr.test_id, lr.visit_id, lr.flag, lr.is_approved, lr.request_division,lr.sample_collectedBy,lr.sample_Datetime, sm.`service_desc`, sm.service_cd, sm.service_grp_cd, tgm.outsource FROM `lab_request` lr INNER JOIN `service_master` sm ON lr.`service_cd` = sm.`service_cd` LEFT JOIN test_group_master tgm ON tgm.test_grp_cd = lr.test_grp_cd WHERE lr.`test_id` = '$testId' AND sm.is_biopsy = 'Y' AND lr.`fYear` = '$fYear' AND lr.`flag` != 'D' ORDER BY lr.`lab_req_id`");
            }else{
                 $labServiceQry = mysqli_query($conn, "SELECT lr.lab_req_id, lr.service_req_id, lr.fyear, lr.test_grp_cd, lr.opd_reg_id, lr.ipd_reg_id, lr.req_date, lr.test_id, lr.visit_id, lr.flag, lr.is_approved, lr.request_division,lr.sample_collectedBy,lr.sample_Datetime, sm.`service_desc`, sm.service_cd, sm.service_grp_cd, tgm.outsource, tgm.test_grp_desc, tgm.test_type FROM `lab_request` lr INNER JOIN `service_master` sm ON lr.`service_cd` = sm.`service_cd` INNER JOIN test_group_master tgm ON tgm.test_grp_cd = lr.test_grp_cd WHERE lr.`test_id` = '$testId' AND lr.`fYear` = '$fYear' AND lr.`flag` != 'D' AND sm.is_biopsy != 'Y' $classificationCheck ORDER BY lr.`lab_req_id`");
            }
           
//            if($qry->count > 0 ){
//                 if($InvestigationCashBillForIpBill == 'Y' && $visitType == 'I' && $mediclaim != 'Y' && $investigationVisibleWOBill == 'N'){
//                    $labServiceQry = "";
//                    }else{
//                          $labServiceQry = mysqli_query($conn, "SELECT lr.lab_req_id, lr.service_req_id, lr.fyear, lr.test_grp_cd, lr.opd_reg_id, lr.ipd_reg_id, lr.req_date, lr.test_id, lr.visit_id, lr.flag, lr.is_approved, lr.request_division, sm.`service_desc`, sm.service_cd, sm.service_grp_cd, sm.outsource, tgm.test_grp_desc, tgm.test_type FROM `lab_request` lr INNER JOIN `service_master` sm ON lr.`service_cd` = sm.`service_cd` INNER JOIN test_group_master tgm ON tgm.test_grp_cd = lr.test_grp_cd WHERE lr.`test_id` = '$testId' AND lr.`fYear` = '$fYear' AND lr.`flag` != 'D' AND sm.is_biopsy != 'Y' ORDER BY lr.`lab_req_id`");
//                    }
//                }else{
//                      $labServiceQry = mysqli_query($conn, "SELECT lr.lab_req_id, lr.service_req_id, lr.fyear, lr.test_grp_cd, lr.opd_reg_id, lr.ipd_reg_id, lr.req_date, lr.test_id, lr.visit_id, lr.flag, lr.is_approved, lr.request_division, sm.`service_desc`, sm.service_cd, sm.service_grp_cd, sm.outsource, tgm.test_grp_desc, tgm.test_type FROM `lab_request` lr INNER JOIN `service_master` sm ON lr.`service_cd` = sm.`service_cd` INNER JOIN test_group_master tgm ON tgm.test_grp_cd = lr.test_grp_cd WHERE lr.`test_id` = '$testId' AND lr.`fYear` = '$fYear' AND lr.`flag` != 'D' AND sm.is_biopsy != 'Y' ORDER BY lr.`lab_req_id`");
//                }
            while ($labServiceDetail = mysqli_fetch_object($labServiceQry)) {
                $serviceReqID = $labServiceDetail->service_req_id;
                $serviceFyear = $labServiceDetail->fyear;
                $test_grp_cd = $labServiceDetail->test_grp_cd;
                 $qry = mysqli_fetch_object(mysqli_query($conn,"SELECT COUNT(*) AS count FROM service_request WHERE req_id = '$serviceReqID' AND visit_id = '$visitId' AND fyear = '$fYear' AND receipt_cat = '' AND receipt_no = '0'"));
                 if(($qry->count > 0 && $visitType == 'I'  && $investigationVisibleWOBill == 'N' && ($InvestigationCashBillForIpBill == 'Y' && $mediclaim != 'Y' || $InvestigationCashBillForIpBill == 'M' )) || $qry->count > 0 && $visitType == 'O' && $p_labTestDisplayWithoutPymt=="N"){
                // Do nothing - $investigationVisibleWOBill value is N
                } else {
               
                switch ($labServiceDetail->flag) {
                    case 'R':
                        $addClass = 'danger';
                        break;
                    case 'U':
                        $addClass = 'info';
                        break;
                    case 'P':
                        $addClass = 'success';
                        break;
                    default:
                        break;
                }


                $outsource_entry_check = mysqli_fetch_object(mysqli_query($conn, "SELECT COUNT(*) AS count FROM `outsource_reqest` WHERE lab_req_id = '$labServiceDetail->lab_req_id'"));
                $outsource_recived_check = mysqli_fetch_object(mysqli_query($conn, "SELECT COUNT(*) AS count FROM `outsource_reqest` WHERE lab_req_id = '$labServiceDetail->lab_req_id' AND report_received_by != ''"));
                $outsourceentrycount = $outsource_entry_check->count;
                $outsourcereccount = $outsource_recived_check->count;
//                var_dump($outsourcereccount);
                 if($outsourcereccount != 0){
                     $color = 'green';
                    $tooltip = 'Received';
                    $chechBoxDisplay = 'display : none;';
                } else if ($outsourceentrycount != 0) {
                    $color = '#0000fa';
                    $tooltip = 'Outsourced';
                    $chechBoxDisplay = 'display : none;';
                }  else {
                    $color = 'black';
                    $tooltip = 'Outsource Request';
                    $chechBoxDisplay = '';
                }
                ?>
                <tr class="clickable-row <?php echo "serviceReq" . $labServiceDetail->service_req_id; ?>" >
                    <?php if ($addClass == 'danger') { ?>
                        <td class="<?php echo $addClass; ?>"></td>
                        <?php } else { ?>
                        <td class="<?php echo $addClass; ?>"><input type="checkbox" class="checkbox" name="checkbox" value="<?php echo $labServiceDetail->lab_req_id; ?>">
                            <?php
                            if ($p_two_stage_approval == 'Y') {
                                if ($labServiceDetail->is_approved == 'Y') {
                                    ?>
                                    <i class="glyphicon glyphicon-check" style="color: green;" data-toggle="tooltip" title="Appoved"></i>
                            <?php
                            }
                        }
                        ?>
                        </td>     
        <?php }
        ?> <input type="hidden" name="mediclaim" id="mediclaim" value="<?php echo $mediclaim; ?>" />
                    <td  class="<?php echo $addClass; ?>"><?php echo $labServiceDetail->lab_req_id; ?></td>
                    <td title="<?php echo $labServiceDetail->service_desc; ?>" class="<?php echo $addClass; ?>"><?php echo strtoupper($labServiceDetail->service_desc); ?></td>
                   <?php if($biopsyReport !== 'Y'){ ?> <td  class="<?php echo $addClass; ?>"><?php echo strtoupper($labServiceDetail->test_grp_desc); ?></td> <?php } ?>
                    <td class="<?php echo $addClass; ?>">
                        <!--Edit--> 
                        <?php
                        $style = $historyFlag == 'Y' ? 'style = "display:none;"' : '';
                        if ($addClass == 'danger') {
                            $url = "../lab/test.php?grp_cd=LAB&&opd_reg_id=$labServiceDetail->opd_reg_id&&req_date=$labServiceDetail->req_date&&fyear=$labServiceDetail->fyear&&test_id=$labServiceDetail->test_id&&testGroupCode=$labServiceDetail->test_grp_cd&&classification=$testClassificationCode&&visit_id=$labServiceDetail->visit_id";
                        } else {
                            $url = "../lab/test.php?grp_cd=LAB&&opd_reg_id=$labServiceDetail->opd_reg_id&&req_date=$labServiceDetail->req_date&&edit=edit&&fyear=$labServiceDetail->fyear&&test_id=$labServiceDetail->test_id&&testGroupCode=$labServiceDetail->test_grp_cd&&classification=$testClassificationCode&&visit_id=$labServiceDetail->visit_id";
                        }
                        if ($accesstype != "P" || $accesstype == ''):
                            $editUrl = $url . "&&lab_req_id=$labServiceDetail->lab_req_id";
                            ?>
                                <!--<a <?php echo $style; ?> role="button" target="_blank" class="edit" href="<?php echo $editUrl; ?>" data-toggle="tooltip" title="Edit"><span class="glyphicon glyphicon-edit"></span></a> &nbsp;-->
                        <?php
                        endif;
//                        if($labServiceDetail->outsource == 'E'){
//                             $labreq_entry_check = mysqli_fetch_object(mysqli_query($conn, "SELECT COUNT(*) AS count FROM `lab_request` WHERE lab_req_id = '$labServiceDetail->lab_req_id' AND flag in('U','P')"));
//                                $labentrycount = $labreq_entry_check->count;
//                                if($labentrycount != 0){
//                                    $outsourceDisable = 'disabled';
//                                }else{
//                                    $outsourceDisable = '';
//                                }
//                                $outsource_entry_check = mysqli_fetch_object(mysqli_query($conn, "SELECT COUNT(*) AS count FROM `outsource_reqest` WHERE lab_req_id = '$labServiceDetail->lab_req_id'"));
//                                $outsourceentrycount = $outsource_entry_check->count;
//                                if($outsourceentrycount != 0){
//                                    $labDisable = 'disabled';
//                                }else{
//                                    $labDisable = '';
//                                }
//                      
//                        }

                        if ($labServiceDetail->test_grp_desc != "") {
                            if(($labServiceDetail->sample_Datetime == '0000-00-00 00:00:00' && $labServiceDetail->sample_collectedBy == '' && $labStickerPrintMandatory == 'Y') ){ ?>
                                    <a <?php echo $style; ?>  role="button"  class="samplePending <?php echo $disable; ?>" data-toggle="tooltip" title="Sample "><span class="glyphicon glyphicon-edit"></span></a> &nbsp;

                            <?php }else{ ?>
                                    <a <?php echo $style; ?>  role="button" target="_blank"  class="edit <?php echo $disable; ?>" href="<?php echo $url; ?>" data-toggle="tooltip" title="Edit All"><span class="glyphicon glyphicon-edit"></span></a> &nbsp;

                            <?php }
                            ?>
                        <?php } else if($biopsyReport == 'Y'){ 
                            $url = "../lab/biopsy_result_input.php?grp_cd=LAB&&opd_reg_id=$labServiceDetail->opd_reg_id&&req_date=$labServiceDetail->req_date&&fyear=$labServiceDetail->fyear&&test_id=$labServiceDetail->test_id&&testGroupCode=$labServiceDetail->test_grp_cd&&visit_id=$labServiceDetail->visit_id&&lab_req_id=$labServiceDetail->lab_req_id"; ?>
                            <a <?php echo $style; ?>  role="button" target="_blank"  class="edit <?php echo $disable; ?>" href="<?php echo $url; ?>" data-toggle="tooltip" title="Edit All"><span class="glyphicon glyphicon-edit"></span> </a>
                        <?php } ?>

                    </td>
                    <?php // if($biopsyReport !== 'Y'){ ?>
                    <td class="<?php echo $addClass; ?>">
                        <!--Edit--> 
                        <?php
                        $outsource_fetch = mysqli_fetch_object(mysqli_query($conn, "SELECT request_by, request_datetime, report_received_datetime, agency_id, report_received_by,trf_id FROM outsource_reqest WHERE lab_req_id = '$labServiceDetail->lab_req_id'"));
                        if ($outsource_fetch->request_by != '') {
                            $request_by = $outsource_fetch->request_by;
                        } else {
                            $request_by = $_SESSION['user_id'];
                            $req_username = mysqli_fetch_object(mysqli_query($conn, "SELECT `User_FName`,`User_MName`,`User_LName` FROM `user` WHERE user_id = '$request_by'"));
                            $request_by = "$req_username->User_FName " . "$req_username->User_LName";
                        }
                        if ($outsource_fetch->request_datetime != '') {
                            $request_datetime = $outsource_fetch->request_datetime;
                            $requestDate = date("Y-m-d", strtotime($request_datetime));
                            $requesttime = date('H:i', strtotime($request_datetime));

                            $request_datetime = "$requestDate " . "$requesttime";
                        } else {
                            $requestDate = date('Y-m-d');
                            $requesttime = date('H:i');
                        }

                        if ($outsource_fetch->report_received_datetime != '0000-00-00 00:00:00' || $outsource_fetch->report_received_datetime != '1970-01-01 05:30:00' || $outsource_fetch->report_received_datetime != null) {
                            $report_received_datetime = $outsource_fetch->report_received_datetime;
                            $receivedDate = date("Y-m-d", strtotime($report_received_datetime));
                            $receivedtime = date('H:i', strtotime($report_received_datetime));
                            $report_received_datetime_final = "$receivedDate " . "$receivedtime";
                        } else {
                            $report_received_datetime_final = "";
                        }

                        if ($outsource_fetch->agency_id != '') {
                            $address_fetch = mysqli_fetch_object(mysqli_query($conn, "SELECT `name`, `city`, `address1`, `address2`, `address3`, `state`, `pin`, `primary_no`, `secondary_no` FROM `outsource_agency_master` WHERE agency_code = '$outsource_fetch->agency_id'"));
                            $Agency = $address_fetch->name;
                            $address1 = $address_fetch->address1;
                            $address2 = $address_fetch->address2;
                            $address3 = $address_fetch->address3;
                            $state = $address_fetch->state;
                            $pin = $address_fetch->pin;
                            $city = $address_fetch->city;
                            $primary_no = $address_fetch->primary_no;
                            $secondary_no = $address_fetch->secondary_no;
                        } else {
                            $Agency = "";
                            $address1 = "";
                            $address2 = "";
                            $address3 = "";
                            $state = "";
                            $pin = "";
                            $city = "";
                            $primary_no = "";
                            $secondary_no = "";
                        }

                        if ($labServiceDetail->outsource == 'Y' || $labServiceDetail->outsource == 'E') {
                            ?>
                        <div style="display: inline;"><span data-toggle="modal" data-target="#outsorceModal">
                                <a class="open-Modal outsourcebutton" title="<?php echo $tooltip; ?>" data-toggle="tooltip" data-id="add"
                                   data-service_cd="<?php echo "$labServiceDetail->service_cd"; ?>"
                                   data-pat_id="<?php echo "$visitRow->patient_id"; ?>"
                                   data-ip_id="<?php echo "$labServiceDetail->ipd_reg_id"; ?>"
                                   data-op_id="<?php echo "$labServiceDetail->opd_reg_id"; ?>"
                                   data-test_cd="<?php echo "$labServiceDetail->test_id"; ?>" 
                                   data-lab_req_id="<?php echo "$labServiceDetail->lab_req_id"; ?>"
                                   data-test_group_cd="<?php echo "$labServiceDetail->test_grp_cd"; ?>" 
                                   data-agency_id="<?php echo "$outsource_fetch->agency_id"; ?>"
                                   data-trf_id="<?php echo "$outsource_fetch->trf_id"; ?>"
                                   data-agency="<?php echo "$Agency"; ?>"
                                   data-address1="<?php echo "$address1"; ?>"
                                   data-address2="<?php echo "$address2"; ?>"
                                   data-address3="<?php echo "$address3"; ?>"
                                   data-city="<?php echo "$city"; ?>"
                                   data-state="<?php echo "$state"; ?>"
                                   data-primary_no="<?php echo "$primary_no"; ?>"
                                   data-secondary_no="<?php echo "$secondary_no"; ?>"
                                   data-pin="<?php echo "$pin"; ?>"
                                   data-reqested_by="<?php echo "$request_by"; ?>"
                                   data-reqested_date="<?php echo "$requestDate"; ?>"
                                   data-reqested_time="<?php echo "$requesttime"; ?>"
                                   data-report_received_by="<?php echo "$outsource_fetch->report_received_by"; ?>"
                                   data-report_received_date="<?php if ($receivedDate == '1970-01-01' || $receivedDate == '-0001-11-30') {
                    echo "";
                } else {
                    echo "$receivedDate";
                } ?>"
                                   data-report_received_time="<?php if ($receivedtime == '05:30' || $receivedtime == '00:00') {
                    echo "";
                } else {
                    echo "$receivedtime";
                } ?>"
                                   href="#" style="text-align:center;<?php echo $display; ?>"><span style="margin-top: 2px;color:<?php echo $color; ?>;" class="fas fa-dolly-flatbed"></span></a>
                            </span>
                            <input type="checkbox" class="outsource_checkbox" name="outsource_checkbox" style="<?php echo $chechBoxDisplay; ?>" value="<?php echo $labServiceDetail->lab_req_id; ?>" data-lab_req_id="<?php echo $labServiceDetail->lab_req_id; ?>" data-service_cd="<?php echo $labServiceDetail->service_cd; ?>" data-test_cd="<?php echo "$labServiceDetail->test_id"; ?>" data-test_group_cd="<?php echo "$labServiceDetail->test_grp_cd"; ?>"></div>
            <?php }
            ?>

             <!--<a <?php //echo $style; ?> role="button" target="_blank" class="edit" href="<?php echo $url; ?>" data-toggle="tooltip" title="Edit All"><span class="glyphicon glyphicon-edit"></span></a> &nbsp;-->


                    </td>
            <input type="hidden" id="historyFlag" name="history" value="<?php echo $historyFlag; ?>">

            <?php //  } //outsource btn should display in biopsy.
            $printFile = $labServiceDetail->test_type != 'Sensitivity' ? $p_labReportPrintFile : $p_labSensitiveReportPrintFile;
            $pdfFile = $labServiceDetail->test_type != 'Sensitivity' ? 'pdf_labReport' : 'pdf_labSensitiveReport';
            if ($addClass == 'info' || $addClass == 'success') {
                if ($historyFlag == 'Y') {
                    //../lab/$printFile.php report/$pdfFile.php
                    $printAllUrl = "report/$pdfFile.php?req_id=$labServiceDetail->lab_req_id&&service_req_id=$labServiceDetail->service_req_id&&opd_reg_id=$labServiceDetail->opd_reg_id&&ipd_reg_id=$labServiceDetail->ipd_reg_id&&grp_cd=$labServiceDetail->service_grp_cd&&req_date=$labServiceDetail->req_date&&fyear=$labServiceDetail->fyear&&visit_id=$labServiceDetail->visit_id&&test_id=$labServiceDetail->test_id&h=Y";
//                            req_id=" + finalReqId + "&&
                    $printUrl = "report/$pdfFile.php?opd_reg_id=$labServiceDetail->opd_reg_id&&ipd_reg_id=$labServiceDetail->ipd_reg_id&&grp_cd=$labServiceDetail->service_grp_cd&&dept_seq_no=$labServiceDetail->dept_seq_no&&visit_id=$labServiceDetail->visit_id&&fyear=$labServiceDetail->fyear&&h=Y&&printSamePage=N";
                } else {
                    $printAllUrl = "../lab/$printFile?req_id=$labServiceDetail->lab_req_id&&service_req_id=$labServiceDetail->service_req_id&&opd_reg_id=$labServiceDetail->opd_reg_id&&ipd_reg_id=$labServiceDetail->ipd_reg_id&&grp_cd=$labServiceDetail->service_grp_cd&&req_date=$labServiceDetail->req_date&&fyear=$labServiceDetail->fyear&&visit_id=$labServiceDetail->visit_id&&test_id=$labServiceDetail->test_id&&printSamePage=N";

                    $printUrl = "../lab/$printFile?opd_reg_id=$labServiceDetail->opd_reg_id&&ipd_reg_id=$labServiceDetail->ipd_reg_id&&grp_cd=$labServiceDetail->service_grp_cd&&dept_seq_no=$labServiceDetail->dept_seq_no&&visit_id=$labServiceDetail->visit_id&&fyear=$labServiceDetail->fyear&&tId=$labServiceDetail->test_id&&req_id=0&&printSamePage=N";
                }
                if($biopsyReport == 'Y'){
                    $printUrl = "../lab/biopsy_report.php?opd_reg_id=$labServiceDetail->opd_reg_id&&ipd_reg_id=$labServiceDetail->ipd_reg_id&&grp_cd=$labServiceDetail->service_grp_cd&&visit_id=$labServiceDetail->visit_id&&fyear=$labServiceDetail->fyear&&test_id=$labServiceDetail->test_id";
                }
                if(($mediclaim != 'Y' && $InvestigationCashBillForIpBill == 'Y') || $InvestigationCashBillForIpBill == 'M' ){ 
                     $qry = mysqli_fetch_object(mysqli_query($conn,"SELECT COUNT(*) AS count FROM service_request WHERE req_id = '$labServiceDetail->service_req_id' AND visit_id = '$labServiceDetail->visit_id' AND fyear = '$labServiceDetail->fyear' AND receipt_cat = '' AND receipt_no = '0'"));
                 if($qry->count > 0 && $p_labReportPrintWithoutPymt == 'N'){                     ?>
                     <td class="info">
                         <a role="button" data-opd="<?php echo $labServiceDetail->opd_reg_id; ?>" data-ipd="<?php echo $labServiceDetail->ipd_reg_id; ?>" data-grpcd="LAB" data-visit_id="<?php echo $labServiceDetail->visit_id; ?>" data-fyear="<?php echo $labServiceDetail->fyear; ?>" data-printall="N" data-service_reqid="<?php echo $labServiceDetail->service_req_id; ?>" data-deptseqno="" data-historyflag="N" data-printall="N" data-toggle="tooltip" data-paymentdoneflag="Y" title="" class="checkforPayment print" data-original-title="Print">
                            <span class="glyphicon glyphicon-print"></span>
                    </a>
                </td>
                <td class="info">
                    <a data-toggle="tooltip" data-opd="<?php echo $labServiceDetail->opd_reg_id; ?>" data-ipd="<?php echo $labServiceDetail->ipd_reg_id; ?>" data-grpcd="LAB" data-visit_id="<?php echo $labServiceDetail->visit_id; ?>" data-fyear="<?php echo $labServiceDetail->fyear; ?>" data-printall="N" data-service_reqid="<?php echo $labServiceDetail->service_req_id; ?>" data-deptseqno="" data-historyflag="N" data-printall="N" data-toggle="tooltip" data-paymentdoneflag="Y" title="" class="checkforPayment print printAll" data-printall="Y" title="" data-original-title="Print All"> <span class="glyphicon glyphicon-print"></span></a>
                </td>
               <?php  }else{ ?>
                         <td class="<?php echo $addClass; ?>">
                <?php if ($accesstype == 'P' || $accesstype == ''): ?>
                        <a role="button" data-reqid="<?php echo $labServiceDetail->lab_req_id; ?>" data-href="<?php echo $printUrl; ?>" data-opd="<?php echo $labServiceDetail->opd_reg_id; ?>" data-ipd="<?php echo $labServiceDetail->ipd_reg_id; ?>" data-grpcd="<?php echo $labServiceDetail->service_grp_cd; ?>" data-visit_id="<?php echo $labServiceDetail->visit_id; ?>" data-fyear="<?php echo $labServiceDetail->fyear; ?>" data-deptseqno="<?php echo $labServiceDetail->dept_seq_no; ?>" data-historyflag="<?php echo $historyFlag; ?>" data-printall="N" data-toggle="tooltip" data-paymentDoneFlag="<?php echo $paymentDoneFlag; ?>"  title="Print" class="print printAndAll" >
                            <span class="glyphicon glyphicon-print"></span>
                        </a>
            <?php endif; ?>
                </td>
                 <?php
                   if($biopsyReport !== 'Y'){
                $labDeptFlagResult = $labModal->checkMultiplePrintFlag($labServiceDetail->test_id, $labServiceDetail->req_date);
                if ($labDeptFlagResult->status == 0 && ($accesstype == 'P' || $accesstype == '')) {
                    ?>
                    <!--Print All-->
                    <td class="<?php echo $addClass; ?>">
                        <a href="#" data-toggle="tooltip" data-href="<?php echo $printAllUrl; ?>" data-printall="Y" data-historyflag="<?php echo $historyFlag; ?>" data-paymentDoneFlag="<?php echo $paymentDoneFlag; ?>" class="printAll printAndAll" title="Print All"> <span class="glyphicon glyphicon-print"></span></a>
                    </td>
                    <?php
                } else {
                    ?>
                    <td class="<?php echo $addClass; ?>">
                        &nbsp;
                    </td>
                    <?php
                }
            }   }
                  
           
                    ?>
            
                
             <?php   }else{ ?>
                       <td class="<?php echo $addClass; ?>">
                <?php if ($accesstype == 'P' || $accesstype == ''): ?>
                        <a role="button" data-reqid="<?php echo $labServiceDetail->lab_req_id; ?>" data-href="<?php echo $printUrl; ?>" data-opd="<?php echo $labServiceDetail->opd_reg_id; ?>" data-ipd="<?php echo $labServiceDetail->ipd_reg_id; ?>" data-grpcd="<?php echo $labServiceDetail->service_grp_cd; ?>" data-visit_id="<?php echo $labServiceDetail->visit_id; ?>" data-fyear="<?php echo $labServiceDetail->fyear; ?>" data-deptseqno="<?php echo $labServiceDetail->dept_seq_no; ?>" data-historyflag="<?php echo $historyFlag; ?>" data-printall="N" data-toggle="tooltip" data-paymentDoneFlag="<?php echo $paymentDoneFlag; ?>"  title="Print" class="print printAndAll" >
                            <span class="glyphicon glyphicon-print"></span>
                        </a>
            <?php endif; ?>
                </td>
                <?php
                if($biopsyReport !== 'Y'){
                $labDeptFlagResult = $labModal->checkMultiplePrintFlag($labServiceDetail->test_id, $labServiceDetail->req_date);
                if ($labDeptFlagResult->status == 0 && ($accesstype == 'P' || $accesstype == '')) {
                    ?>
                    <!--Print All-->
                    <td class="<?php echo $addClass; ?>">
                        <a href="#" data-toggle="tooltip" data-href="<?php echo $printAllUrl; ?>" data-printall="Y" data-historyflag="<?php echo $historyFlag; ?>" data-paymentDoneFlag="<?php echo $paymentDoneFlag; ?>" class="printAll printAndAll" title="Print All"> <span class="glyphicon glyphicon-print"></span></a>
                    </td>
                    <?php
                } else {
                    ?>
                    <td class="<?php echo $addClass; ?>">
                        &nbsp;
                    </td>
                    <?php
                }
            }
                }
                // $printUrl = CommonUtility::getReportViewerUrl($printUrl, '../lab/dept_lab_service.php');
                // = CommonUtility::getReportViewerUrl($printAllUrl, '../lab/dept_lab_service.php');
                ?>
                <!--Print--> 
             
          <?php  } else {
                ?><td class="<?php echo $addClass; ?>">
                    &nbsp;
                </td>
                <td class="<?php echo $addClass; ?>">
                    &nbsp;
                </td>
                <?php
            }

            // <!--Delete-->
            $requestDivison = $labServiceDetail->request_division;
            $updatedAndPrinted = $labModal->checkUpdatedOrPrinted($labServiceDetail->service_req_id, $labServiceDetail->fyear);

            $requestDivisonFlag = FALSE;
            $updatedAndPrintedFlag = FALSE;
            if ($requestDivison == 'W' || $requestDivison == 'P' || $requestDivison == 'O') {
                $requestDivisonFlag = TRUE;
            }
            if ($updatedAndPrinted === 0) {
                $updatedAndPrintedFlag = TRUE;
            }
            ?>
            <td class="<?php echo $addClass; ?>">
        <?php
        if ($updatedAndPrintedFlag == TRUE && $requestDivisonFlag == TRUE) {
            ?>
                    <a role="button"  data-fyear="<?php echo $labServiceDetail->fyear; ?>" data-servicereqid="<?php echo $labServiceDetail->service_req_id; ?>" data-toggle="tooltip"  class="delete <?php echo $disable; ?>" title="Delete">
                        <span class="glyphicon glyphicon-trash"></span>
                    </a>
        <?php } ?> 
            </td>
        </tr>
        <?php
            } //ELSE END
    }
    ?>
    </tbody>
    </table>
<?php } ?>