<?php
session_start();
if (!$_SESSION['user_id']) {
    header("Location: ./../../index.php"); //redirect to login page to secure the welcome page without login access.  
}
include './../../connection.php';
require_once './../../Main/Modal/Lab_Modal.php';
$labObj = new Lab_Modal($conn);
$preview = $_REQUEST['preview'];
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Lab Test Group</title>
        <?php include '../../links_head.php'; ?>
        <link rel="stylesheet" href="../../css/dataTable.css" />     
        <STYLE>a{color:#00f}
        #cke_bottom_detail, .cke_bottom { display: none; }
        </STYLE>
        <script src="../../js/listBoxMoveFunction.js"></script>
        <script>
           
                  $(document).on("click",'.updateDesc', function () {
                 
                    var formAction = $(this).data('action');
                    var groupCode = $(this).data('code');
                    var groupDesc = $(this).data('description');
                    var groupDesc_old = $(this).data('description');
                    var title = $(this).data('title');
                    var sampletype = $(this).data('sampletype');
                    var outsource = $(this).data('outsource');
                    var header = $(this).data('header');
                    var testType = $(this).data('testtype');
                    var test_classification = $(this).data('test_classification');
                    var active = $(this).data('active');
                    $('#group_desc_action').val(formAction);
                    $('#group_desc').val(groupDesc);
                    $('#group_desc_old').val(groupDesc_old);
                    $('.testGroupCode').val(groupCode);
                    $('#testType').val(testType);
                    $('#test_classification').val(test_classification);
                    $('#sampleType').val(sampletype);
                    $('#outsource').val(outsource);
                    $("#testGroupMasterModal input[name=title][value='" + title + "']").prop("checked", true);
                    $("input[name=active][value='" + active + "']").prop("checked", true);
                    $('#headerRemark').val(header);
                   
                    $('.modal-title').text("Update Test Group");
                     $.post("../../ajax/lab_test_group_ajax.php", {groupCode: groupCode}, function (data, status) {
                         var grpData =  data.split("|");
                         console.log(grpData);
                        CKEDITOR.instances['bodyRemark'].setData(grpData[0]);
                        CKEDITOR.instances['footerRemark'].setData(grpData[1]);
                    });
//                    $('#myModal').modal('toggle');

                });
        </script>
    </head>
    <?php
    include '../header.php';
    include '../sidebar.php';
    ?>
    <?php
    $tt_ss = str_replace(",", "','", $_REQUEST['test_cd']);
    $test_e = "'" . $tt_ss . "'"
    ?>
    <body>
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content">
                <?php if($preview == ''): ?>
                <div class="box box-danger">
                    <div class="box-body">
                        <form name="formUpdate" action="./patho_test_group_action.php" enctype="multipart/form-data" method="post">
                            <input type="hidden" name="service_cd" id="service_cd" value="<?php echo $service_cd; ?>" />
                            <table>
                                <tr valign="top"><td>
                                        <label>Test Group Description</label> 
                                        <a href="#" style="color:#00a65a;float:right;" role="button" class="updateDesc" data-action="insert" data-toggle="modal" data-target="#testGroupMasterModal" data-active="Y"><span class="glyphicon glyphicon-plus"></span></a><br>
                                        <select name="test_grp_cd" style="min-width:70%;width:300px;height: 0.32in;" required="">
                                            <option value=""> Select Options</option>
                                            <?php
                                            $r = mysqli_query($conn, "select * from `test_group_master` ");
                                            while ($row = mysqli_fetch_array($r)) {
                                                $testGroupCode = $row['test_grp_cd'];
                                                $testGroupDesc = $row['test_grp_desc'];
                                                ?> 
                                            <option value="<?php echo $testGroupCode; ?>" <?php if ($testGroupCode == $_REQUEST['test_grp_cd']) echo "selected"; ?>><?php echo strtoupper($testGroupDesc); ?></option>
                                            <?php } ?>
                                        </select> 
                                    </td>
                                    <td>
                                        &emsp;&emsp;
                                    </td>
                                    <td>
                                        <label>List of Tests</label> <br/>
                                        <SELECT id="s" size="10" multiple style="width:3in">
                                            <?php
                                            $select = "SELECT * FROM `patho_test_master` where active_YN = 'Y' AND test_cd NOT IN ($test_e) ORDER BY lab_category, test_desc";
                                            $queryResult = mysqli_query($conn, $select);
                                            while ($row = mysqli_fetch_array($queryResult)) {
                                                $test_cd = $row['test_cd'];
                                                $test_desc = strtoupper($row['test_desc']);
                                                $style = $row['lab_category'] == 'Y' ? "style='color:blue;font-weight:bold;'" : '';
                                               echo "<option value='$test_cd' $style>$test_desc</option>";
                                            } ?>
                                        </SELECT>
                                    </td>
                                    <td valign="center" style="width:1.5in" align="center" >
                                        <table align="center">
                                            <tr><td>&nbsp;</td></tr>
                                            <tr><td>&nbsp;</td></tr>
                                            <tr><td>&nbsp;</td></tr>
                                            <tr><td><font size="+2"><b>
                                                        <a href="#" onclick="listbox_moveacross('s', 'd')" >&gt;&gt;</a></b></font>
                                                </td></tr>
                                            <tr><td>&nbsp;</td></tr>
                                            <tr><td>
                                                    <font size="+2"><b>
                                                        <a href="#" onclick="listbox_moveacross('d', 's')" >&lt;&lt;</a></b></font>
                                                </td></tr>
                                            <tr></tr></table>
                                    </td>
                                    <td>
                                        <label>Selected Test</label> <br/>
                                        <SELECT id="d" name="test_cd11[]" size="10" multiple style="width:3in" required="">
                                            <?php
                                            $test_cd = str_replace(',', "','", $_REQUEST['test_cd']);
                                            $select22 = "SELECT * FROM `patho_test_master` where test_cd IN ('$test_cd') ORDER BY FIELD(`test_cd`,'$test_cd') ";
                                            $queryResult22 = mysqli_query($conn, $select22);
                                            while ($row22 = mysqli_fetch_array($queryResult22)) {
                                                $test_desc = $row22['test_desc'];
                                                $testCode = $row22['test_cd'];
                                                $style = $row22['lab_category'] == 'Y' ? "style='color:blue;font-weight:bold;'" : '';    
                                                echo "<option value='$testCode' $style>$test_desc</option>";
                                            } ?>
                                        </SELECT>
                                        <br/><br/>
                                        Move <a href="#" onclick="listbox_move('d', 'up')" >Up</a>,
                                        <a href="#" onclick="listbox_move('d', 'down')">Down</a>
                                        <br>
                                        <a href="#" onclick="listbox_selectall('d', true)"><input type="submit" name="submit" class="btn btn-sm btn-success" id="submit" value="Submit" style="margin-left: -100;" /></a>
                                    </td>
                                </tr>
                            </table>
                        </form>
                    </div></div>
                <?php endif; ?>
                <div class="box">
                    
                    <div class="box-body dataTableScrollbar">
                           <?php /*$sql = mysqli_query($conn, "SELECT * FROM `patho_test_master`");*/ 
                $active=$_GET['type'];
                  if ($active == "Y") {
                    $sql = mysqli_query($conn, "SELECT * FROM test_group_master where active_YN ='$active'");
                                      } 
                  else if ($active == "N") {
                    $sql = mysqli_query($conn, "SELECT * FROM test_group_master where active_YN ='$active'");
                                           } 
                  else if ($active == "B") {
                    $sql = mysqli_query($conn, "SELECT * FROM test_group_master");
                                           } 
                  else {
                    $sql = mysqli_query($conn, "select * from test_group_master where active_YN !='N'");
                       }
           ?>
                         <div class="col-sm-3" style="float: right;">
                            <label>Active : </label>
                            <label><input type="radio"  <?php if ($_GET['type'] == 'Y' || $_GET['type'] == ''  ) echo 'checked="checked"'; ?>  name="active" id="active1" onchange="MyAlert()" value="Y"> Yes</label>
                            <label><input type="radio"  <?php if ($_GET['type'] == 'N'){ echo 'checked="checked"';} ?> name="active" id="active2"  onchange="MyAlert()" value="N" >No </label>
                            <label><input type="radio"  <?php if ($_GET['type'] == 'B') echo 'checked="checked"'; ?> name="active" id="active3" onchange="MyAlert()" value="B" >Both </label>
                          </div>
                        <table id="example1" class="table table-bordered table-striped dataTableFont">
                            <thead class="dataTableHeader">
                                <tr>
                                    <th>Test Group Desc</th>
                                    <th style="width:50%;">Test</th>
                                    <th style="width:20%;">Update</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
//                                $r = mysqli_query($conn, "SELECT * FROM `test_group_master` WHERE `active_YN` != 'N'");
                                while ($row2 = mysqli_fetch_array($sql)) {
                                    ?>
                                    <tr>
                                        <td style="width:30%;"><?php echo strtoupper($row2['test_grp_desc']); ?></td>
                                        <td><?php echo strtoupper($labObj->labTestDescription($row2['test_cd'])); ?></td>
                                        <td style="width:27%;">
                                        <?php if($preview == ''): ?>
                                            <a href="lab_test_group.php?test_grp_cd=<?php echo $row2['test_grp_cd']; ?>&test_cd=<?php echo $row2['test_cd']; ?>">Add/Remove Test</a> |
                                            <a href="#" style="color:#00f;" id="updateDesc" class="updateDesc" role="button" data-backdrop="static"  data-code="<?php echo $row2['test_grp_cd']; ?>" data-action="update" data-description="<?php echo $row2['test_grp_desc']; ?>" data-title="<?php echo $row2['title_flag'];?>" data-active="<?php echo $row2['active_YN'];?>" data-testtype="<?php echo $row2['test_type'];?>" data-test_classification="<?php echo $row2['test_classification'];?>" data-sampletype="<?php echo $row2['sample_type'];?>" data-outsource="<?php echo $row2['outsource']; ?>" data-header="<?php echo $row2['test_grp_header_remark'];?>" data-toggle="modal" data-target="#testGroupMasterModal">Update Group</a> | 
                                        <?php endif;?>    
                                            <a href="./testPreview.php?testGroupCode=<?php echo $row2['test_grp_cd']; ?>"> Preview </a>
                                        </td>
                                    </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div><!-- /.box-body -->
                </div>
            </section>
        </div>

        <!-- Modal For test group master -->
        <div id="testGroupMasterModal" class="modal fade" role="dialog">
            <div class="modal-dialog modal-xs" style="width: 80%;">

                <!-- Modal content-->
                <div class="modal-content" style="overflow-y: scroll;height: 95%;">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title" style="font-weight: bold;">Add New Test Group</h4>
                    </div>
                    <form  name="formInsert" class="form-horizontal" method="post" action="patho_test_group_action.php" autocomplete="off">
                        <div class="modal-body">
                            <div class="form-group">
                                <label for="group_desc" class="col-xs-2">Test Group Description:<font color="red">*</font></label>
                                <div class="col-xs-6" style="width: 54.7%;">
                                    <input type="hidden" class="testGroupCode" value="" name="testGroupCode"/>
                                    <input type="text" placeholder="Test Group Description" class="form-control textUppercase" id="group_desc"  name="desc" maxlength="50" required>
                                    <input type="hidden" class="form-control textUppercase" id="group_desc_old"  name="group_desc_old" maxlength="50">
                                </div>
                                <label for="group_desc" class="col-xs-2" style="width:10%;">Classification :</label>
                                <div class="col-xs-2" style="width:16.5%;">
                                    <select name="test_classification" class="form-control" id="test_classification">
                                        <option value="">Select Classification</option>
                                       <?php $query = mysqli_query($conn, "SELECT * FROM `general_master` WHERE master_cd = 'TESTTYPE'");
                                       while($fetch = mysqli_fetch_object($query)):
                                  echo "<option value='".$fetch->gm_code."'>".$fetch->gm_description."</option>";    
                              endwhile;
                                       ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="group_desc" class="col-xs-2">Test Heading :<font color="red">*</font></label>
                                <div class="col-xs-2" style="width: 10%;">
                                    <label><input type="radio" name="title" id="title" value="Y" checked>&nbsp;&nbsp;Yes </label>&nbsp;&nbsp;
                                    <label><input type="radio" name="title" id="title" value="N">&nbsp;&nbsp;No </label>
                                </div>
                                <label for="group_desc" class="col-xs-2" style="width:10%;">Test Type :<font color="red">*</font></label>
                                <div class="col-xs-2" style="width:12.5%;">
                                    <select name="testType" class="form-control" id="testType">
                                        <option value="">Select Type</option>
                                        <option value="Normal">Normal</option>
                                        <option value="Sensitivity">Sensitivity</option>
                                    </select>
                                </div>
                                <label for="group_desc" class="col-xs-2" style="width:10%;">Sample Type :</label>
                                <div class="col-xs-2" style="width: 12.5%;">
                                    <select name="sampleType" class="form-control" id="sampleType">
                                        <option value="">Select Type</option>
                                       <?php $query = mysqli_query($conn, "SELECT * FROM `general_master` WHERE master_cd = 'LBSAMPLE'");
                                       while($fetch = mysqli_fetch_object($query)):
                                  echo "<option value='".$fetch->gm_code."'>".$fetch->gm_description."</option>";    
                              endwhile;
                                       ?>
                                    </select>
                                </div>
                                <label for="group_desc" class="col-xs-2" style="width:10%;">Outsource :<font color="red">*</font></label>
                                <div class="col-xs-2" style="width:14.5%;">
                                   <select name="outsource" class="form-control" id="outsource">
                                        <option value="N" selected=""> No</option>
                                        <option value="Y"> Yes</option>
                                        <option value="E"> Either</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="group_desc" class="col-xs-2">Group Header Remark:</label>
                                <div class="col-xs-10">
                                    <input type="hidden" class="testGroupCode" value="" name="testGroupCode"/>
                                    <textarea placeholder="Test Group Header Remark" class="form-control" id="headerRemark" name="headerRemark"></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="group_desc" class="col-xs-2">Profile Interpretation:</label>
                                <div class="col-xs-10">
                                    <input type="hidden" class="testGroupCode" value="" name="testGroupCode"/>
                                    <textarea placeholder="Profile Interpretation" contenteditable="true" class="form-control ck" id="bodyRemark" name="bodyRemark"></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="group_desc" class="col-xs-2">Group Footer Remark:</label>
                                <div class="col-xs-10">
                                    <input type="hidden" class="testGroupCode" value="" name="testGroupCode"/>
                                    <textarea placeholder="Test Group Footer Remark" contenteditable="true" class="form-control ck" id="footerRemark" name="footerRemark" ></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="group_desc" class="col-xs-2">Active : </label>&emsp;
                                <div class="col-xs-2">
                                   <label><input type="radio" name="active" id="activeY" value="Y">&nbsp;&nbsp;Yes </label>&nbsp;&nbsp;
                                        <label><input type="radio" name="active" id="activeN" value="N">&nbsp;&nbsp;No </label>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" name="submit" id="group_desc_action" value="insert" class="btn btn-success btn-sm">Submit</button>
                            <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal">Close</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <?php
        include './../../footer.php';
        ?>
        <script src="../../plugins/jQueryUI/jquery-ui.min.js" type="text/javascript"></script>
        <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
        <!-- jQuery 2.1.4 -->
        <script src="../../plugins/jQuery/jQuery-2.1.4.min.js" type="text/javascript"></script>
        <!-- Bootstrap 3.3.2 JS -->
        <script src="../../bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
        <!-- DATA TABES SCRIPT -->
        <script src="../../plugins/datatables/jquery.dataTables.min.js" type="text/javascript"></script>
        <script src="../../plugins/datatables/dataTables.bootstrap.min.js" type="text/javascript"></script>
        <!-- SlimScroll -->
        
        <!-- FastClick -->
        <script src="../../plugins/fastclick/fastclick.min.js" type="text/javascript"></script>
        <!-- AdminLTE App -->
        <script src="../../dist/js/app.min.js" type="text/javascript"></script>
        <script src="../../bower_components/ckeditor/ckeditor.js"></script>
        <script src="../../bower_components/ckeditor/autocompleteConfig.js"></script>
        <script src="../../bower_components/ckeditor/adapters/jquery.js"></script>
        <!--external links-->
        <?php include_once './../../footer_links.php'; ?>
        <script type="text/javascript">
            dataTableInit('example1');
                 $('.ck').ckeditor({
                //contentsCss: text_transform,
                removePlugins: 'image,link,texttransform',
//                removeButtons:'Cut,Copy,Paste,PasteText,PasteFromWord,HorizontalRule,Maximize,Source,Table,SpecialCharacter,Undo,Redo,Styles, Format,Blockquote,Subscript,Superscript,SpecialChar,Scayt,Strike',
                removeButtons: 'Flash,Find,Replace,SelectAll,Link,Unlink,Anchor,PageBreak,Iframe,Form,Checkbox,Radio,TextField,Textarea,Select,Button,ImageButton,HiddenField,ShowBlocks,Save,NewPage,Preview,Print,CopyFormatting,RemoveFormat,CreateDiv,Language,TextColor,BGColor,About,Smiley,Source,Undo,Redo,Cut,Copy,Paste,PasteText,PasteFromWord,Maximize,Styles,Format,Font,FontSize,BidiLtr,BidiRtl,Blockquote,Outdent,Indent',
                width:['99%'],
                height:['100'],
            });
               CKEDITOR.replace( 'bodyRemark' );
               CKEDITOR.replace( 'footerRemark' );
               
           function MyAlert()
        {
                 var active1 = $("input[name='active']:checked").val();
                 var a = '<?php echo $_REQUEST["grp_cd"]; ?>';
                 var url = "lab_test_group.php?grp_cd="+a+"&&type="+active1;
                 window.location.href = url;
        }
               
        </script>
    </body>
</html>
