<?php
session_start();
if (!$_SESSION['user_id']) {
    header("Location: ./../../index.php");
}

include './../../connection.php';
include_once './../../pera.php';
require_once '../../Main/Modal/Patient_Modal.php';
require_once '../../Main/CommonUtility.php';
require_once '../../Main/Common/Constant.php';
require_once '../../Main/Modal/Doctor_Modal.php';
require_once '../../Main/Modal/Lab_Modal.php';
require_once '../../Main/Modal/Parameter_Value.php';
$labModal = new Lab_Modal($conn);
$patientModal = new Patient_Modal($conn);
$docObj = new Doctor_Modal($conn);
$parameterObj = new Parameter_Value($conn);
$requestDisplayBeforeComplete = $parameterObj->pendingRequestDisplayBeforeComplete();
$paraGroupCode = $parameterObj->Lab_group_for_calculation();
$testNames = $parameterObj->Lab_tests_for_calculation();
//$paraGroupCode = "110";
//$testNames = "T0016,T0017,T0018,T0026";
$parameterArray = explode(',', $testNames);
$t1 = $parameterArray[0];
$t2 = $parameterArray[1];
$t3 = $parameterArray[2];
$t4 = $parameterArray[3];
$t5 = $parameterArray[4];
$t6 = $parameterArray[5];
?>
<input type="hidden" name="requestDisplayBeforeComplete" id="requestDisplayBeforeComplete" value="<?php echo "$requestDisplayBeforeComplete"; ?>">
<?php

$loginuserId = $_SESSION['user_id'];
$labReqId = $_REQUEST['lab_req_id'];
$testGroupCode = $_REQUEST['testGroupCode'];
$classification = $_REQUEST['classification'];
$testId = $_REQUEST['test_id'];
$reqDate = $_REQUEST['req_date'];
$fin_year = $_REQUEST['fyear'];
//Select the row from erma table with particular testID
$sqlTestId = mysqli_query($conn, "select `test_id`, `WBC`, `LY`, `MO`, `GR`, `LYP`, `MOP`, `GRP`, `RBC`, `Hgb`, `HCT`, `MCV`, `MCH`, `MCHC`, `RDW`, `PLT`, `PCT`, `MPV`, `PDW`, `EOS`, `BAS`, `Iscompleted`, `data_source`, `DATETIME` from erma210eTEMP where test_id ='" . $testId . "' AND Iscompleted = 0");
$rowTest = mysqli_fetch_array($sqlTestId);

$MappSQL = mysqli_query($conn, "select `test_cd`, `short_name`, `seq_no`, `conversion_factor` from ErmaMapping");
$ermaMappArray = array();
while ($resMap = mysqli_fetch_assoc($MappSQL)) {
    $ermaMappArray[$resMap['test_cd']] = $resMap;
}

$userCheck = mysqli_fetch_object(mysqli_query($conn, "Select User_Role from user Where user_id = '$loginuserId'"));
$userRole =  $userCheck->User_Role; 
?>
<head>
    <meta charset="UTF-8">
    <title>THIMS | <?php
        $grp_cd = $_REQUEST['grp_cd'];
        echo $grp_cd;
        ?></title>
    <?php include '../../links_head.php'; ?>
    <style>
        table{font-size:13px;}
        .custom-button{font-size:12px;}
        input[type=text]{border:none;}
        .pullRight { float: right; }
        .warning {background: #c5c5c5;}
        .colorBlack {color : black !important;}
        .colorRed {color : red !important;}
    </style>
<script>
$(document).ready(function() {
  var testNames = $("#testNames").val();
 
if(testNames != ""){
       // Function to calculate the sum
    function calculateSum() {
        var sum = 0;
        
        // Collect values from elements with classes T0016, T0017, T0018, T0026
        $(".<?php echo $t1;?>, .<?php echo $t2;?>, .<?php echo $t3;?>, .<?php echo $t4;?>, .<?php echo $t5;?>, .<?php echo $t6;?>").each(function() {
            var val = parseFloat($(this).val()) || 0; // Get the value and handle non-numeric values
            sum += val; // Add the value to the sum
        });

        // Display the sum in the #result div
        if(sum == 100){
         $("#result").text("WBC Differential Count is 100%");   
         $("#result").css('color', 'green'); 
        }else{
            $("#result").text("WBC Differential Count is NOT 100%.... Pease verify the same... "); 
            $("#result").css('color', 'red');
            
        }
        
    }

    // Call calculateSum on page load
    calculateSum();
     $(".<?php echo $t1;?>, .<?php echo $t2;?>, .<?php echo $t3;?>, .<?php echo $t4;?>, .<?php echo $t5;?>, .<?php echo $t6;?>").on('focusout', function() {
        calculateSum();
    });
}
    // Bind focusout event to input fields to recalculate on change
   
});
</script>
</head>
<?php
include '../header.php';
include '../sidebar.php';
$patient_reg_id = $_REQUEST['opd_reg_id'];
$visitId = $_REQUEST['visit_id'];
$patient = $patientModal->getPatientDetails($visitId);
$docRow = $docObj->GetDoctorInfo($patient->doctor_id);
$refByName = $docRow['drFullName'];

?>
<body>
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title"><font size="+2"><b>Lab Test</b></font></h3>
                    <input class="btn btn-xs btn-primary pull-right" type="button" id="btnPatientHistory" data-patientid="<?php echo $patient->patient_id; ?>" name="btnPatientHistory" value="Past Report">
                    <span class="pull-right">&emsp;</span>
                    <a class="btn btn-xs btn-success pull-right" href="../lab/labTestHistoryPatientWise.php?opid=<?php echo $patient->opd_reg_id;?>&&ipid=<?php echo $patient->ipd_reg_id;?>&&visitID=<?php echo $visitId;?>" target="_blank">Inv. History</a>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <?php
                    $sql1 = mysqli_query($conn, "select req_id, req_date, req_time, test_id from service_request r where r.visit_id = '$visitId' AND service_grp_cd = '" . Constant::serviceGroupCode_LABORATORY . "' AND req_date = '$reqDate' AND test_id = '$testId'");  // add fyear condition 
                    $srRow = mysqli_fetch_object($sql1);
                    $tId = $srRow->test_id;
                    $serviceReqId = $srRow->req_id;
                    $patientId = $patient->patient_id;
                    $department = $patientModal->getPatientDepartmentDetails($visitId);

                    if($patient->patient_gender == 'M'){
                        $gender = 'Male';  
                     }elseif ($patient->patient_gender == 'F') {
                       $gender = 'Female';
                     }else{
                       $gender = 'Other';
                     }
                    $age = $patient->patient_age;
                    if (!empty($gender) && !empty($age)) {
                        $genderAndAge = $gender . ' / ' . $age;
                    }
                    ?>
                    <table align="center" style="width:100%;border-style: double; border-left:none; border-right:none;">
                        <thead class="reportTableHead">
                            <tr>
                                <td style="width:15%;">ID <span class="pullRight">:&emsp;</span></td>
                                <td style="width:45%;"><?php echo $patientId; ?></td>
                                <td style="width:20%;">OP/IP <span class="pullRight">:&emsp;</span></td>
                                <td style="width:20%;"><?php echo "$patient->opd_reg_id/$patient->ipd_reg_id"; ?></td>
                            </tr>
                            <tr>
                                <td>Name <span class="pullRight">:&emsp;</span></td>
                                <td><?php echo $patient->patient_name; ?></td>
                                <td>Sample ID <span class="pullRight">:&emsp;</span></td>
                                <td><?php echo $testId; ?></td>
                            </tr>
                            <tr>
                                <td>Gender/Age <span class="pullRight">:&emsp;</span></td>
                                <td><?php echo $genderAndAge; ?></td>
                                <td>Order Date/Time <span class="pullRight">:&emsp;</span></td>
                                <td><?php echo CommonUtility::getDisplayDate($srRow->req_date) . " " . CommonUtility::getDisplayTime($srRow->req_time); ?></td>
                            </tr>
                            <tr>
                                <td>Ref By <span class="pullRight">:&emsp;</span></td>
                                <td><?php echo $refByName; ?></td>
                                <td>Print Date/Time <span class="pullRight">:&emsp;</span></td>
                                <td><?php echo date('d/m/Y h:i A'); ?></td>
                            </tr>
                        </thead>
                    </table>
                    <?php
                    $k = 1;
                    $i = 1;
                    $j = 1;
                    $p = 1;
                    ?>
                    <br>
                    <form name="test" id="test" enctype="multipart/form-data" method="post" autocomplete="off">
                        <input type="hidden" name="testNames" id="testNames" value="<?php echo $testNames; ?>">
                        <input type="hidden" name="fyear" id="fyear" value="<?php echo $_REQUEST['fyear']; ?>">
                        <input type="hidden" name="edit" id="edit" value="<?php echo $_REQUEST['edit']; ?>">
                        <input type="hidden" name="testId" id="testID" value="<?php echo $testId; ?>">
                        <input type="hidden" name="visitId" id="visitId" value="<?php echo $visitId; ?>">
                        <input type="hidden" name="all_TestID[]" id="testID" value="<?php echo $tId; ?>">
                        <input type="hidden" name="rr_id[]" id="rr_id_<?php echo $k; ?>"  value="<?php echo $labReqId; ?>">
                        <input type="hidden" name="tab_total" id="tab_total" value="<?php echo $k; ?>">
                        <input type="hidden" name="opd_reg_id" id="opd_reg_id" value="<?php echo $patient_reg_id; ?>">
                        <input type="hidden" name="ipd_reg_id" id="ipd_reg_id" value="<?php echo $ipd_reg_id; ?>">
                        <input type="hidden" name="req_date" value="<?php echo $_REQUEST['req_date']; ?>">
                        <input type="hidden" name="grp_cd" value="<?php echo $grp_cd; ?>">
                        <input type="hidden" name="gender" id="gender" class="gender" value="<?php echo $patient->patient_gender; ?>">
                        <div class="col-xs-3 col-xs-offset-9">
                            <select name="PathoDoctor" class="form-control" style="padding-top: 0px; padding-bottom: 0px;font-size: 12px;" id="PathoDoctor" align="center" required autofocus>
                                <option value="">Select Pathologist</option>
                                <?php
                                $labDoctor = mysqli_fetch_object(mysqli_query($conn, "SELECT doctor_id FROM `lab_request` where test_id = '$testId' AND fyear='$fin_year' AND flag != 'D' "));
                                $docQry = mysqli_query($conn, "SELECT doctor_id, CONCAT(doctor_fname, ' ', doctor_lname) AS drFullName FROM doctor_master WHERE doctor_dept_id = '$pathologyDepartmentCode' AND active = 'Y'");
                                while ($docRow = mysqli_fetch_object($docQry)):
                                    $selected = ($labDoctor->doctor_id == $docRow->doctor_id || mysqli_num_rows($docQry) == 1) ? 'selected' : '';
                                    echo "<option value='$docRow->doctor_id' $selected>$docRow->drFullName</option>";
                                endwhile;
                                ?>
                            </select>
                        </div><br>
                        <?php
                        $labQryAdd = $labReqId != "" ? " AND lab_req_id = '$labReqId'" : "";
                        $classificationCheck = $classification == 'N' ? "" : " AND tgm.test_classification = '$classification'";
                        $qryLab = mysqli_query($conn, "SELECT lr.lab_req_id, lr.test_grp_cd, lr.service_cd, tgm.test_cd, tgm.test_grp_desc FROM `lab_request` lr INNER JOIN test_group_master tgm ON tgm.test_grp_cd = lr.test_grp_cd where test_id = '$testId' $classificationCheck AND fyear='$fin_year' AND flag != 'D' $labQryAdd");
                        while ($labResult = mysqli_fetch_object($qryLab)) {
                            $grpCode = $labResult->test_grp_cd;
                            $test_cd = $labResult->test_cd; //get value of marks from the database
                            $TempTest = $test_cd;
                            $exp = explode(",", $test_cd); //explode marks data
                                ?>
                        <input type="hidden" class="hiddenGrpCode" id="<?php echo $labResult->test_grp_cd;?>" value="<?php echo $labResult->test_grp_cd; ?>">
                                <table border="1" align="center" width="75%">
                                    <thead>
                                        <tr>
                                            <th style="border:1px solid #fff; border-bottom: 1px solid #000"><h4><?php echo $labResult->test_grp_desc; ?></h4></th>
                                        </tr>
                                        <tr class="warning">
                                            <!--<th>Test Code</th>-->
                                            <th colspan="2" style="width:30%;">Test Name</th>
                                            <th style="width:15%;">Result</th>
                                            <th style="width:12%;">Unit</th>
                                            <th style="width:45%;">Normal Range</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $multiTestCode = implode("','", $exp);
                                        $testMstQry = mysqli_query($conn, "select test_cd, test_desc, range_note,m_min,m_max,f_min,f_max,unit, sub_result, Rounding_Digit, formula, default_value, lab_category from patho_test_master where test_cd IN ('$multiTestCode')");
                                        $testMstArray = array();
                                        while ($testMstRow = mysqli_fetch_assoc($testMstQry)) {
                                            $testMstArray[$testMstRow[test_cd]] = $testMstRow;
                                        }
                                        foreach ($exp as $test_cd) {
                                            $row12 = $testMstArray[$test_cd];
                                            if ($row12['lab_category'] == 'N'):
                                                $testUnit = $row12['unit'];
                                                $range_note = $row12['range_note'];
                                                $m_min = $row12['m_min'];
                                                $m_max = $row12['m_max'];
                                                $f_min = $row12['f_min'];
                                                $f_max = $row12['f_max'];
                                                if ($row12['formula'] != '') {
                                                    $formula = $row12['formula'];
                                                    $formulaClass = " valueUsingFormula";
                                                } else {
                                                    $formula = '';
                                                    $formulaClass = '';
                                                }
                                                ?>

                                                <tr>
                                            <input type="hidden" class="m_min" id="m_min" value="<?php echo $m_min; ?>">
                                            <input type="hidden" class="m_max" id="m_max" value="<?php echo $m_max; ?>">
                                            <input type="hidden" class="f_min" id="f_min" value="<?php echo $f_min; ?>">
                                            <input type="hidden" class="f_max" id="f_max" value="<?php echo $f_max; ?>">
                                            <input type="hidden" value="<?php echo $test_cd; ?>" class="testCd_<?php echo $labResult->test_grp_cd?>"  name="test_code[]" id="test_code_<?php echo $i; ?>" readonly size="8" tabindex="-1">
                                            <td colspan="2"><?php
                                                $roundingDigit = '';
                                                echo $row12['test_desc'];
                                                $roundingDigit = $row12['Rounding_Digit'];
                                                $testDefaultValue = $row12['default_value'];
                                                ?>
                                            </td>
                                            <?php
                                            $qry = "select result,test_cd from patho_result_mst where req_id ='$labResult->lab_req_id' AND test_cd = '$test_cd' AND fyear = '$fin_year'";
                                            $sql_r = mysqli_query($conn, $qry); // add fyear condition 
                                            $row_r = mysqli_fetch_array($sql_r);
                                            $test_cd1 = $row_r['test_cd'];
                                            $result = $row_r['result'];
                                            $sub_result = $row12['sub_result'];

                                            //Med Device Logic Added
                                            $fyear = $_REQUEST['fyear'];
                                            $medDeviceQry = mysqli_query($conn, "SELECT test_result FROM `test_request_for_med_device` WHERE test_id='$testId' AND test_req_fy='$fyear' AND test_code = '$test_cd' AND (test_result_source ='2' OR test_result_source ='3') AND test_result_sent_flag = 'Y' ORDER BY id DESC");
                                            $medDeviceResult = mysqli_fetch_object($medDeviceQry);
                                            if ($result == '') {
                                                if ($roundingDigit == NULL) {
                                                    $result = $medDeviceResult->test_result;
                                                } else if ($roundingDigit == '1' && $medDeviceResult->test_result != '') {
                                                    $result = number_format((float) $medDeviceResult->test_result, 1, '.', '');
                                                } else if ($roundingDigit == '2' && $medDeviceResult->test_result != '') {
                                                    $result = number_format((float) $medDeviceResult->test_result, 2, '.', '');
                                                } else if ($roundingDigit == '0' && $medDeviceResult->test_result != '') {
                                                    $result = round($medDeviceResult->test_result);
                                                }
                                            }

                                            //Med Device Logic End

                                            if ($result == '') {
                                                if ($sub_result != '') {
                                                    ?>
                                            <td><select name="test_val[]" class="resultval_<?php echo $labResult->test_grp_cd; ?>" id="test_val_<?php echo $i; ?>"autofocus style="width:100%" >
                                                            <option value=""><b>Select Result</b></option>
                                                            <?php
                                                            $sub = explode(",", $sub_result);
                                                            foreach ($sub as $sub_result1) {
                                                                $selected = $sub_result1 == $testDefaultValue ? 'selected' : '';
                                                                echo "<option $selected value='$sub_result1'>$sub_result1</option>";
                                                            }
                                                            ?>
                                                        </select>
                                                        <input type="hidden" name="mm_val[]" id="mm_val_<?php echo $j; ?>" value="" >
                                                        <input type="hidden" name="ss_val[]" id="ss_val_<?php echo $p; ?>"  value="">
                                                        <?php
                                                    } else {
                                                        if (($testUnit == 'MM:SS') || ($testUnit == 'mm:SS') || ($testUnit == 'mm:ss') || ($testUnit == 'MM:ss')) {
                                                            ?>
                                                        <td><input type="hidden" name="unit[]" id="unit_<?php echo $i; ?>" value="<?php echo $testUnit; ?>">

                                                            <input type="text" name="mm_val[]" id="mm_val_<?php echo $j; ?>" autofocus style="width:0.6in"> MM
                                                            <input type="text" name="ss_val[]" id="ss_val_<?php echo $p; ?>" autofocus style="width:0.6in"> SS
                                                            <input type="hidden" name="test_val[]" class="resultval_<?php echo $labResult->test_grp_cd; ?>" id="test_val_<?php echo $i; ?>" autofocus></td>

                                                    <?php } else { ?>

                                                        <td><input type="hidden" name="mm_val[]" id="mm_val_<?php echo $j; ?>" value="" >
                                                            <input type="hidden" name="ss_val[]" id="ss_val_<?php echo $p; ?>"  value="">
                                                            <input type="hidden" name="unit[]" id="unit_<?php echo $i; ?>" value="<?php echo $testUnit; ?>">
                                                            <?php
                                                            $Mresult = '';
                                                            $conv_fact = 1.0;  //As per the test code of particular lab test, map from Mapping table  and get the value from erma table  
                                                            if(array_key_exists($test_cd, $ermaMappArray)){
                                                                $resMap = $ermaMappArray[$test_cd];
                                                                $seqNo = $resMap['seq_no'];
                                                                $conv_fact = $resMap['conversion_factor'];
                                                                $Mresult = $rowTest[$seqNo] * $conv_fact;
                                                            }
                                                            $Mresult = $Mresult != '' ? $Mresult : CommonUtility::displayNewInNewLine($testDefaultValue);
                                                            ?>
                                                            <!--<input type="text" name="test_val[]" class="<?php echo str_replace('/', '', $test_cd);
                                                            echo $formulaClass; ?>" data-testformula="<?php echo $formula; ?>" data-testcode="<?php echo $test_cd; ?>" id="test_val_<?php echo $i; ?>" autofocus value="<?php echo $Mresult ?>" style="width:100%;" >-->
                                                            <textarea name="test_val[]" class="<?php echo str_replace('/', '', $test_cd); echo $formulaClass; ?> autoResizeText resultVal resultval_<?php echo $labResult->test_grp_cd; ?>" data-testformula="<?php echo $formula; ?>" data-testcode="<?php echo $test_cd; ?>" id="test_val_<?php echo $i; ?>" onkeyup="sentenceCase(this, this.value)" autofocus style="width:100%;height: 20px;"><?php echo $Mresult; ?></textarea>
                                                        </td>
                                                        </td>
                            <?php
                        }
                    }
                } else {
                    if (($testUnit == 'MM:SS') || ($testUnit == 'mm:SS') || ($testUnit == 'mm:ss') || ($testUnit == 'MM:ss')) {
                        ?>
                                                    <td>
                                                        <input type="hidden" name="unit[]" id="unit_<?php echo $i; ?>" value="<?php echo $testUnit; ?>">

                                                        <input type="text" name="mm_val[]" id="mm_val_<?php echo $j; ?>"   style="width:0.6in" value="<?php echo substr($result, 0, strpos($result, '-')); ?>"> MM
                                                        <input type="text" name="ss_val[]" id="ss_val_<?php echo $p; ?>"   style="width:0.6in"  value="<?php echo substr($result, -strpos($result, '-')); ?>">> SS
                                                        <input type="hidden" name="test_val[]" id="test_val_<?php echo $i; ?>" class="resultval_<?php echo $labResult->test_grp_cd; ?>"  onBlur="kp()"  onFocus="kp()" ></td>
                                                    </td>
                    <?php } else { ?>
                                                    <td><input type="hidden" name="mm_val[]" id="mm_val_<?php echo $j; ?>" value="" >
                                                        <input type="hidden" name="ss_val[]" id="ss_val_<?php echo $p; ?>"  value="">
                                                        <input type="hidden" name="unit[]" id="unit_<?php echo $i; ?>" value="<?php echo $testUnit; ?>">
                                                        <!--<input type="text" class="<?php echo str_replace('/', '', $test_cd); ?>" name="test_val[]" id="test_val_<?php echo $i; ?>"  value="<?php echo $result; ?>" style="width:100%;">-->
                                                        <!--<input type="text" class="<?php echo str_replace('/', '', $test_cd); ?> autoResizeText resultVal" name="test_val[]" id="test_val_<?php echo $i; ?>"  style="width:100%;height:20px;" value="<?php echo $result; ?>">-->
                                                        <textarea class="<?php echo str_replace('/', '', $test_cd); ?> autoResizeText resultVal resultval_<?php echo $labResult->test_grp_cd; ?>" name="test_val[]" id="test_val_<?php echo $i; ?>"  style="width:100%;height:20px;"><?php echo $result; ?></textarea>

                                                    </td>
                        <?php
                    }
                }
                ?>
                                           <td style="padding-left: 3px;" align="left"><?php echo $testUnit; ?></td>
                                           <td style="padding-left: 3px;"><?php echo  CommonUtility::displayNewInNewLine($range_note); ?></td>
                                           <input type="hidden" name="totalinputs" id="totalinputs" class="totalinputs" value="<?php echo $i; ?>"  >
                                           <input type="hidden" name="lab_req_id[]" class="lab_req_id_<?php echo $labResult->test_grp_cd; ?>" id="req_id_<?php echo $i; ?>"  value="<?php echo $labResult->lab_req_id; ?>">
                                           <input type="hidden" name="service_cd[]" class="serviceCd_<?php echo $labResult->test_grp_cd; ?>" id="req_id_<?php echo $i; ?>"  value="<?php echo $labResult->service_cd; ?>">
                                            <input type="hidden" name="testGroupCode[]"  id="req_id_<?php echo $i; ?>"  value="<?php echo $labResult->test_grp_cd; ?>">
                                            </tr>
                                            <?php
                                            $multiLabReqId = $labResult->lab_req_id;
                                            $i++;
                                            $j++;
                                            $p++;
                                        endif;
                                    }
                                    ?>
                                           
                                    </tbody>
                                </table>
                        <?php 
                        if($paraGroupCode == $grpCode){ ?>
                        <span id="result" style="margin-left: 12.5%;font-weight: bold;"></span>
                     <?php   } ?>
                                <br/>
                                <label style="margin-left:12.5%;" for="remark">Remark:</label>
                                <div style="width:75%;margin-left:12.5%;">
                                    <?php
                                    $labQry = "SELECT `remark`,`test_grp_cd`  FROM `lab_request` WHERE `lab_req_id` IN ('$multiLabReqId') AND fyear='$fin_year' AND `flag` != 'D' LIMIT 1";
                                    $labResult1 = mysqli_fetch_object(mysqli_query($conn, $labQry));
                                    if (($labResult1->test_grp_cd == '20' || $labResult1->test_grp_cd == '18') && empty($labResult1->remark)) {
                                        $remark = "Note : Test is done by Rapid method. Kindly correlate the results clinically";
                                    } else {
                                        $remark = $labResult1->remark;
                                    }
                                    ?>
                                    <textarea name="remark[]" class="autoResizeText remark_<?php echo $labResult->test_grp_cd; ?>" onkeyup="sentenceCase(this, this.value)" rows="3" cols="111"><?php echo $remark; ?></textarea>
                                </div>
                                <br/>
                                <?php if($p_two_stage_approval == 'Y') {?>
                                <div style="margin-left: 77%;">
                                    <?php
                                    $approveStatus = mysqli_fetch_object(mysqli_query($conn, "SELECT flag,is_approved FROM lab_request Where test_id = '$testId' AND test_grp_cd ='$grpCode' AND visit_id = '$visitId'"));
                                   $is_approved = $approveStatus->is_approved;
                                   $flag = $approveStatus->flag;
                                   if($is_approved == 'Y'){
                                       $Appvalue = 'Approved';
                                       $ApprovebtnClr = 'btn-success';
                                   } else {
                                         $Appvalue = 'Approve';
                                         $ApprovebtnClr = 'btn-primary';                                     
                                   }
                                   if($is_approved == 'Y' && $userRole != 'Doctor'){
                                        $disable = 'disabled' ;
                                   }else{
                                        $disable = '';
                                   }
                                   
                                   if($flag == 'U'){
                                       $value = 'Resubmit';
                                       $btnClr = 'btn-success';
                                   }else{
                                       $value = 'Submit';
                                       $btnClr = 'btn-primary';
                                   }
                                    ?>
                                    <a class="btn btn-xs <?php echo $btnClr; ?> innerSubmit innerSub_<?php echo $grpCode; ?>" <?php echo $disable; ?> id="<?php echo $grpCode; ?>"><?php echo $value; ?></a>
                                  
                                  
                                    <input type="hidden" id="hiddenUserRole" value="<?php echo $userRole; ?>">
                                    <input type="hidden" id="hidden_p_two_stage_approval" value="<?php echo $p_two_stage_approval; ?>">
                                  
                                 <?php  
                                 if($userRole == 'Doctor'  && $flag == 'U'){ 
                                   $disable = '' ;
                                   } else {
                                        $disable = 'disabled';
                                   }
                                    ?>
                                    <a class="btn btn-xs <?php echo $ApprovebtnClr; ?> innerApprove innerApp_<?php echo $grpCode; ?>" <?php echo $disable; ?> id="<?php echo $grpCode; ?>"><?php echo $Appvalue; ?></a>
                                  
                                    <!--<input type="submit" name="inner_submit" class="btn btn-xs btn-success custom-button"  id="<?php echo $grpCode; ?>" value="Submit"  />-->
                                    <!--<input type="submit" name="inner_approve" class="btn btn-xs btn-danger custom-button" value="Approve" />-->
                                </div>
                                <?php } ?>
        <?php
//    }
}

$k++;
?>
                        <br>
                        <?php
                         $labDeptFlagResult = $labModal->checkMultiplePrintFlag($testId, $reqDate);
                         $subAllValue = 'Submit All';
                         $btnSubAllClr = 'btn-primary';
                         if($p_two_stage_approval == 'Y'){
                              $approveFlagCheck =  mysqli_fetch_object(mysqli_query($conn, "SELECT count(*) as approvecount FROM `lab_request` WHERE `test_id` = '$testId' AND `req_date` = '$reqDate' AND is_approved = 'N'"));
                            if ($labDeptFlagResult->status == 0) {
                                $btnSubAllClr = 'btn-success';
                                $subAllValue = 'Resubmit All';
                                }else{
                                 $btnSubAllClr = 'btn-primary';
                                 $subAllValue = 'Submit All';
                                }
                                
                            if ($approveFlagCheck->approvecount == 0 && $userRole != 'Doctor' ) {
                                 $submitAlldisable = 'disabled';
                            }else{
                                 $submitAlldisable = '';
                            }
                         }
                         
                                ?>
                        
                        <div class="main3" align="center">
                            <input type="submit" name="submitAll" class="btn btn-sm btnSubmitAll <?php echo $btnSubAllClr;?> custom-button" <?php echo $submitAlldisable; ?> value="<?php echo $subAllValue; ?>"  />
                          <?php if($p_two_stage_approval == 'Y' && $userRole == 'Doctor') {
                                        $disable = '';
                                   } else {
                                        $disable = 'disabled';
                                   }
                                 
                                    if ($approveFlagCheck->approvecount == 0) {
                                         $btnAppAllClr = 'btn-success';
                                         $appAllValue = 'Approved All';
                                         }else{
                                          $btnAppAllClr = 'btn-primary';
                                           $appAllValue = 'Approve All';
                                         }
                                         if($p_two_stage_approval == 'Y') {
                              ?>
                            <a name="approveAll" <?php echo $disable; ?> class="btn btn-sm <?php echo $btnAppAllClr;?> custom-button approveAll"><?php echo $appAllValue; ?></a>
                                         <?php } ?>
                            <input type="button" name="close" class="btn btn-sm btn-danger custom-button" value="Back" onclick="window.close();" />
                        </div>
                    </form>

                </div></div>
        </section>
    </div>
<?php
include './../../footer.php';
?>
    <!-- jQuery UI 1.11.4 -->
    <script src="../../plugins/jQueryUI/jquery-ui.min.js" type="text/javascript"></script>
    <!-- jQuery 2.1.4 -->
    <!--    <script src="../../plugins/jQuery/jQuery-2.1.4.min.js" type="text/javascript"></script>-->
    <!-- Bootstrap 3.3.2 JS -->
    <script src="../../bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
    <!-- SlimScroll -->

    <!-- FastClick -->
    <script src="../../plugins/fastclick/fastclick.min.js" type="text/javascript"></script>
    <!-- AdminLTE App -->
    <script src="../../dist/js/app.min.js" type="text/javascript"></script>
 
    <script>
                                $(document).ready(function () {

                                    $('#btnPatientHistory').click(function (e) {
                                        e.preventDefault();
                                        patientId = $(this).data('patientid');
                                        window.open("./../lab/dept_lab_service.php?patientId=" + patientId + "&h=Y", "popupWindow", "width=1300,height=600,scrollbars=yes");
                                        return false;
                                    });

                                });

    </script>
       <script src="./../../js/laboratory.js"></script>
</body>
</html>
