<?php
session_start();
if (!$_SESSION['user_id']) {
    header("Location: ./../../index.php");
}
$user_id=$_SESSION['user_id'];
?>

<html>
<div id="toExcel">
    <head>
        <script src="../../plugins/jQuery/jQuery-2.1.4.min.js"></script>
        <script src="../../js/exportToExcel.js"></script>
        <link rel="stylesheet" href="../../css/reportStyle.css"/>
        <style>
            .btnPrint{margin-left:1%;background:#5cb85c; color:#fff;  padding:6px 12px; border:1px solid #5cb85c;}
            .btnBack{margin-left:1%;background:#d9534f; color:#fff;  padding:6px 12px; border:1px solid #d9534f;}
            @media print {
                @page { size: A4 portrait; } 
                body {margin-left: 0in !important;margin-right: 0in !important;}
            }
            .centerAlign{ text-align: center; }  
            .rightAlign{ text-align: right; }
            .pullRight{ float: right; }
            .pullLeft{ float: left; }
            .bordertop{ border-top: 1px solid black; }
            .borderbottom{ border-bottom: 1px solid black;line-height: 1.0; }
            .tdBorder{line-height: 1.0;}
            .borderright{ border-right: 1px solid black; }
            .borderleft{ border-left: 1px solid black; }
            .fonttype{ font-family: 'Mukta Vaani'; font-style: normal; font-size: 14px;margin-left: 3px; }
            .reportTableHead { font-family: 'Mukta Vaani'; font-weight: bold; font-style: normal; font-size: 14px; }
            .fontSize15px { font-family: 'Mukta Vaani'; font-style: normal; font-weight: bold; font-size: 16px; }
             div.page { page-break-after: always }
             #sep {  border-bottom: 1px solid black;   }
                   
        </style>
     </head>

    <?php
     include './../../connection.php';
     include './../../Main/Common/report.php';
     require_once '../../Main/CommonUtility.php';

	$date1=$_POST['date1'];
	$date2=$_POST['date2'];
    $free = $_REQUEST['free'];

$limit=30;
$count=1;

// $GLOBALS['page']=1;
$id=1;
    $k = 1;

    $date3 = str_replace('/', '-', $date1);
	$date4= str_replace('/', '-', $date2);

    $date5 = date("Y-m-d", strtotime($date3));
    $date6 = date("Y-m-d", strtotime($date4));


    ?>
    <body style="margin-left: 150; margin-right: 150;">

<?php
    function print_header($conn)
    {
        global $date1;
        global $date2;
        global $date5;
        global $date6;
        global $page;
        global $service_amt;
        global $patient_count;
        global $limit;
        global $count;
        global $free;
  ?>

    <table style="font-size:14px;" width="100%"  border="0" cellpadding="2" cellspacing="0" >
    <tr>
            <?php reportHeader($conn,19); ?>
            </tr>
            <tr>
                <td valign="top" align="center" colspan="19">
                    <p class="reportSubTitle">Lab Request Register Report </p>
                </td>
            </tr>
            <tr>
                <td valign="top" align="center" colspan="19">
                    <span class="reportSubTitle pullLeft">Period : <?php echo CommonUtility::getDisplayDate($date1)." To ".CommonUtility::getDisplayDate($date2); ?></span>
                    <!--<span class="fontSize15px"><?php echo "For : ". implode(" + ", $titleArray);?></span>-->
                    <span class="reportSubTitle pullRight">Run Date : <?php echo date('d/m/Y'); ?></span>
                </td>
            </tr>
   </table>
<?php }

function print_detail()
{

                    global $old_discount;
                    global $old_fee;
                    global $ser_amt;
                    global $req_date;
                    global $ser_desc;
                    global $rcpt_discount;
                    global $net_amo;
                    global $old_opd_reg_id;
                    global $old_ipd_reg_id;
                    global $old_patient_name;
                    global $old_patient_village;
                    global $old_dis;
                    global $old_bill;
                    global $id;
                    global $service_amt;
                    global $patient_count;
                    global $receipt_discount;
                    global $k;
                    global $patient_id;
                    global $free;
                    global $req_note;
                    global $remark;
                    global $superArray;
                    global $totalServiceAmt;
                    global $totalDiscAmt;
                    global $totalNetAmt;

                    $old_opd_reg_id;
                    include './../../pera.php';
	if(($old_opd_reg_id != '')){ ?>
<table style="font-size:14px;" width="100%" cellpadding="2" cellspacing="0" border='0'  >
    <tbody>
    	<tr >
            <td width="3%" align="left" class="bordertop "> <?php echo $id++ ;?></td>
            <td width="5%" align="right" class="bordertop  "><?php
                if ($finace == 'Y') {    echo substr($old_opd_reg_id, 2).'&emsp;';  }
                 else {      echo $old_opd_reg_id.'&emsp;';        }    ?>
            </td>
            <td width="5%" align="right" class="bordertop "><?php echo $old_ipd_reg_id; ?>&emsp;</td>
            <td width="5%" align="right" class="bordertop "><?php echo $patient_id; ?>&emsp;</td> 
            <td width="35%"align="left" class="bordertop  " ><b><?php echo $old_patient_name; ?></b></td>
            <td width="10%"align="right" class="bordertop "><?php echo $old_fee; ?>&emsp;&emsp;</td>
            <td width="5%" align="right" class="bordertop "><?php echo $old_discount; ?>&emsp;</td>
            <td width="7%" align="right" class="bordertop "><?php echo $net_amo = $old_fee-$old_discount; ?>&emsp;</td>
            <td width="5%" align="right" class="bordertop "><?php echo $old_bill; ?></td>
            <td width="7%" align="right" class="bordertop "><?php echo $req_date; ?></td>
            <input type="hidden" value="<?php echo $k; ?>"> <?php  $k;  ?>
        </tr>
        <tr>
<!-- test --><td colspan="4" ></td>
            <td > <?php echo $old_dis;   ?> </td>
              <?php    $lc = strlen($old_dis);
                     $l = $lc / 155;
                     $line = ceil($l);
                     $k = $k + $line;
            ?>  
              <!--<input type="hidden" value="--><?php $k++; ?><!--">--> 
<!-- test --><td colspan="5" ></td>

        </tr>
        <!-- <tr><td colspan="10"></td></tr> -->
         <!-- <?php     if(!empty($superArray) > 0){  ?>
            <tr>
                <td colspan="2" style="text-align:center; font-weight:bold; border:1px solid;">Remark </td>
                <td colspan="9" style="border:1px solid; border-left:none;">
                    <?php  foreach ($superArray as $super) {   ?>
                        <p><b><?php echo $super['testGroupDesc'];?></b> <br/>
                            <?php
                                $remarkArray = explode("\n", $super['labRemark']);
                                echo join('<br/>', $remarkArray); ?>
                                </div></p>
                    <?php      }      ?>
                </td>
            </tr> 
         <?php     }  ?> -->
      </tbody>
    </table>
                        <?php
                     
                    }
$totalServiceAmt  += $old_fee;
$totalDiscAmt  += $old_discount;
$totalNetAmt  += $net_amo;
                    $service_amt = $service_amt + $row['service_amt'];
                    $patient_count = $patient_count + 1;
                    $receipt_discount = $receipt_discount + $row['receipt_discount'];
                    
                }

                function dis() {
                    global $old_req_id;
                    global $test_result;
                    global $old_dis;
                    global $fyear;
                    global $superArray;

                    global $new_dis;
//                    $old_req_id;
                    $labQ = "SELECT * FROM lab_request lr "
                            . "INNER JOIN `test_group_master` tm ON tm.`test_grp_cd` = lr.`test_grp_cd` "
                            . "WHERE lr.service_req_id = '$old_req_id' "
                            . "AND lr.flag != 'D' AND lr.fyear = '$fyear'";
                    $labQry = mysqli_query($conn,$labQ);
                    $superArray = array();
                    while ($labRow = mysqli_fetch_assoc($labQry)) {
                        $labReqId = $labRow['lab_req_id'];
                        $fyear = $labRow['fyear'];
                        $test_res = "SELECT r.* ,m.* FROM patho_result_mst r ,patho_test_master m where r.req_id = '" . $labReqId . "' AND m.test_cd=r.test_cd AND fyear = '" . $fyear . "'";
                        $re_test = mysqli_query($conn,"$test_res");
                        while ($row_t = mysqli_fetch_array($re_test)) {
                            $test_result = $row_t['test_desc'] . ':' . $row_t['result'];
                            //   $old_dis = $old_dis . ' (' . $test_result . ')<br>';
                             $old_dis = $old_dis; // . '+ (' . $test_result . ')<br>';
                           
                        }
                        //result initialize here
                        if ($labRow['remark'] != '') {
                            $superArray[] = [
                                'testGroupDesc' => $labRow['test_grp_desc'],
                                'labRemark' => $labRow['remark'],
                            ];
                        }
                    }
                }

                function table_header() {
                    global $date1;
                    global $date2;
                    global $page;
                    global $service_amt;
                    global $patient_count;
                    global $limit;
                    global $count;
                    global $free;
                    global $superArray;
                    ?>
                    <table style="font-size:14px;" width="100%" border="0" cellpadding="2" cellspacing="0" >
                        <?php if ($_REQUEST['grp_cd'] == 'LAB') { ?>
                            <thead>
                                <tr>
                                    <th style="width:3%; "align="left"><b>Sr.</b></th>
                                    <th style="width:5%;" align="center">OP ID</th>
                                    <th style="width:5%;" align="right">IP ID</th>
                                    <th style="width:5%;" align="center"> UHID </th>
                                    <th style="width:35%;" align="left">Patient Name & List Of Test</th>
                                    <!-- <th style=" width:8%;"  align="right">Fees</th> -->
                                    <th style="width:10%;" align="right">Service Amount</th>
                                    <th style="width:5%;" align="right">Discount</th>
                                    <th style="width:7%;" align="right">Net Amount</th>
                                    <!-- <th style="width:8%; "  align="right">Paid</th> -->
                                    <th style="width:5%;" align="left">Bill No </th>
                                    <!-- <th style="width:8%; " align="left">Receipt No </th> -->
                                    <th style="width:7%;" align="right">Bill Date </th>
                     
                            </tr>
                            </thead>
                        </table>
                        <?php
                    }
                }
                $filterType = $_POST['labReportFilter'];
                $k = 1;
                $qry = ("SELECT r.*, m.*, pm.patient_name, pm.patient_village, pm.patient_id, pm.patient_age, pm.patient_gender 
                        FROM service_request r
                        INNER JOIN service_master m ON r.service_cd = m.service_cd 
                        INNER JOIN visit v ON v.visit_id = r.visit_id
                        INNER JOIN pateint_master pm ON pm.patient_id = v.patient_id 
                        WHERE r.req_date >= '$date5' AND r.req_date <= '$date6' AND r.service_grp_cd = '".$_REQUEST['grp_cd']."' AND is_request_cancelled = 'N'");
                if ($free != '') {
                    $qry = $qry . (" AND r.receipt_discount = r.service_amt AND r.service_amt != 0");
                }
                
                if($filterType == "1"){
                    $qry = $qry . (" AND r.dept_seq_no != 0 ");
                }
                
                if($filterType == "2"){
                    $qry = $qry . (" AND r.dept_seq_no = 0 ");
                }
                
                $qry = $qry . (" ORDER BY r.req_id ASC  ");
//                echo $qry;
                if ($date5 > $date6) {
                    echo 'date interval is wrong';
                } else {
                    if (isset($_POST['submit'])) {
                        $result = mysqli_query($conn,"$qry");


                        print_header($conn);
                        table_header();
                        if (false === $result) {
                            echo mysqli_error($conn);
                        }
                        ?>



                        <?php $serviceTotal=0;
                        while ($row = mysqli_fetch_array($result)) {
                            if ($count > $limit) {
                                $count = $count + 1;
                                $count = 1;
                                ?>

                                <?php
                               // print_header($conn);
                                //table_header();
                            }
                            $fyear = $row['fyear'];
                            $req_note = $row['req_note'];
                            $remark = $row['remark'];
                            $old_req_id = $row['req_id'];
                            $new_opd_id = $row['opd_reg_id'];
                            $new_visit_id = $row['visit_id'];
                            $new_dis = $row['service_desc'];
                            $new_bill = $row['receipt_cat'] . '' . $row['ipd_opd'] . '' . $row['receipt_no'];
//                            if (($old_opd_reg_id == $new_opd_id)) {
                            if (($old_visit_id == $new_visit_id)) {
                                //echo "<tr><td>".$old_dis.','.$new_dis."</td><td></td><td></td><td></td><td></td><td  style='min-width:1.8in;max-width:1.8in;'>". $row['service_desc'] . "</td></tr>";
                                $old_dis = $old_dis.'<br>'.$new_dis;
                                dis();

                                $old_fee = $old_fee + $row['service_amt'];
                                $old_discount = $old_discount + $row['receipt_discount'];
                            } else {
                                $old_opd_reg_id;
                                $old_visit_id;
                                print_detail();


                                $old_bill = $row['receipt_cat'] . '' . $row['ipd_opd'] . '' . $row['receipt_no'];
                                $old_dis = $row['service_desc'];


                                $old_opd_reg_id = $row['opd_reg_id'];
                                $old_visit_id = $row['visit_id'];
                                $patient_id = $row['patient_id'];
                                $old_ipd_reg_id = $row['ipd_reg_id'];
                                $old_patient_name = $row['patient_name'];
                                $old_patient_village = $row['patient_village'];
                                $old_fee = $row['service_amt'];
                                $old_discount = $row['receipt_discount'];
                                $ser_amt = $row['service_amt'];
                                $rcpt_discount = $row['receipt_discount'];
                                $req_date = CommonUtility::getDisplayDate($row['req_date']);
                                $ser_desc = $row['service_desc'];
                                $net_amo = $ser_amt - $rcpt_discount;
                                
                                
                                
                                dis();
                            }

                            //global $old_req_id;


                            if ($k > 25) {
                                $k = 1;
                                ?>
                                <div class="page"> </div>
                                <?php
                                //print_header($conn);
                                // table_header();
                            }
                        }
                   
                        print_detail();
                        dis(); ?>
                                <table>
                                    <tr>
            <td width="3%" align="left" class="bordertop ">Total</td>
            <td width="5%" align="right" class="bordertop  ">&emsp;            </td>
            <td width="5%" align="right" class="bordertop ">&emsp;</td>
            <td width="5%" align="right" class="bordertop ">&emsp;</td> 
            <td width="35%" align="left" class="bordertop  "><b> </b></td>
            <td width="10%" align="right" class="bordertop "><?php echo $totalServiceAmt; ?>&emsp;&emsp;</td>
            <td width="5%" align="right" class="bordertop "><?php echo $totalDiscAmt; ?>&emsp;</td>
            <td width="7%" align="right" class="bordertop "><?php echo $totalNetAmt; ?> &emsp;</td>
            <td width="5%" align="right" class="bordertop "></td>
            <td width="7%" align="right" class="bordertop "></td>
                   </tr>

                                </table>
                        
                       



                        <hr ><br>
                        <div class="page"> </div>
                        <?php
                        //print_header($conn);
                        ?>

                        <table style="font-size:12px;" border="0" cellpadding="2" cellspacing="0" width="70%" align="center">
                            <thead>
                                <tr>
                                    <td colspan="7" id="sep"></td>
                                </tr>
                                <tr>
                                    <?php if ($_REQUEST['grp_cd'] = 'LAB') { ?>
                                        <th align="left" width="100px" style="min-width:1.5in;max-width:1.5in">
                                            <b>Test</b>
                                        </th>
                                        <th align="right" width="100px">
                                            <b>No Of Test</b>
                                        </th>
                                    <?php } ?>


                                    <th align="right" width="100px">
                                        <b><i class="fa fa-inr"></i>&nbsp;Paid</b>
                                    </th>
                                    <th align="right" width="100px">
                                        <b><i class="fa fa-inr"></i>&nbsp;Out Standing</b>
                                    </th>
<!--                                    <th align="right" width="100px">
                                        <b><i class="fa fa-inr"></i>&nbsp;Balance Amt.</b>
                                    </th>-->

                                    <th align="right" width="100px">
                                        <b><i class="fa fa-inr"></i>&nbsp;Total</b>
                                    </th>
                                   <!-- <th align="right" width="100px">
                                        <b>Discount</b>
                                    </th>-->

                                </tr>
                                <tr>
                                    <td colspan="7" id="sep"></td>
                                </tr>
                            </thead>
                            <tbody>

                                <?php
                                if ($_REQUEST['grp_cd'] = 'LAB') {
                                    $qry777 = ("select  r.service_cd ,m.service_desc
	from service_request r , service_master m
	where  r.service_grp_cd = '" . $_REQUEST['grp_cd'] . "' AND r.service_grp_cd = m.service_grp_cd AND m.service_cd =  r.service_cd  AND is_request_cancelled = 'N' AND r.req_date >= '" . $date5 . "' AND r.req_date <='" . $date6 . "' ");
                                    if ($free != '') {
                                        $qry777 = $qry777 . (" AND r.receipt_discount = r.service_amt AND r.service_amt != 0 ");
                                    }

                                    
                                if($filterType == "1"){
                                    $qry777 = $qry777 . (" AND r.dept_seq_no != 0 ");
                                }

                                if($filterType == "2"){
                                    $qry777 = $qry777 . (" AND r.dept_seq_no = 0 ");
                                }

                                    $qry777 = $qry777 . (" group by r.service_cd  ");
                                    $result777 = mysqli_query($conn,"$qry777");

                                    if (false === $result777) {
                                        echo mysqli_error($conn);
                                    }

                                    while ($row777 = mysqli_fetch_array($result777)) {
                                        $qry77 = ("select count(r.service_cd) as service_count 
	from service_request r 
	where  r.service_grp_cd = '" . $_REQUEST['grp_cd'] . "' AND r.service_cd = '" . $row777['service_cd'] . "' AND r.req_date >= '" . $date5 . "' AND r.req_date <='" . $date6 . "'  AND is_deleted = 'N' ");
                                        if ($free != '') {
                                            $qry77 = $qry77 . (" AND r.receipt_discount = r.service_amt AND r.service_amt != 0");
                                        }

                                        $qry77 = $qry77 . ("	group by r.size  ");
                                        $result77 = mysqli_query($conn,"$qry77");

                                        if (false === $result7) {
                                            echo mysqli_error($conn);
                                        }

                                        while ($row77 = mysqli_fetch_array($result77)) {
                                            $row77['size_count'];
                                            $qry7 = ("select sum(r.service_amt) as s_amt, sum(r.receipt_discount) as d_amt
	from service_request r
	where   r.service_grp_cd = '" . $_REQUEST['grp_cd'] . "' AND r.service_cd = '" . $row777['service_cd'] . "' AND  r.req_date >= '" . $date5 . "' AND r.req_date <='" . $date6 . "' AND is_deleted = 'N' ");
                                            if ($free != '') {
                                                $qry7 = $qry7 . (" AND r.receipt_discount = r.service_amt AND r.service_amt != 0");
                                            }
                                            $result7 = mysqli_query($conn,"$qry7");

                                            if (false === $result7) {
                                                echo mysqli_error($conn);
                                            }
                                            while ($row7 = mysqli_fetch_array($result7)) {

                                                $s_amt = $row7['s_amt'];
                                                $d_amt = $row7['d_amt'];

                                                $t_paid = $s_amt - $d_amt;
                                                $netAmt = $t_paid + $d_amt;
                                            }
                                            $qry12 = ("select sum(r.service_amt) as s_amt_p
	from service_request r
	where  r.service_grp_cd = '" . $_REQUEST['grp_cd'] . "' AND r.req_date >= '" . $date5 . "' AND r.dept_seq_no != '0' AND r.receipt_no ='0' AND r.req_date <='" . $date6 . "' AND r.service_cd = '" . $row777['service_cd'] . "' AND r.free != 'F'  AND is_deleted = 'N'   ");
                                            if ($free != '') {
                                                $qry12 = $qry12 . (" AND r.receipt_discount = r.service_amt AND r.service_amt != 0");
                                            }
                                            $result121 = mysqli_query($conn,"$qry12");
                                            while ($row12 = mysqli_fetch_array($result121)) {

                                                $s_amt_p = $row12['s_amt_p'] + 0;
                                                $t_s_amt_p = $t_s_amt_p + $s_amt_p;
                                                $t = $s_amt - $s_amt_p;
                                            }


                                            //$t=$row7['s_amt'] - $row7['d_amt']	;
                                            echo "<tr><td  align='Left'>" . $row777['service_desc'] . "</td>";
                                            echo "<td  align='right'>" . $row77['service_count'] . "</td>";

                                            echo "<td  align='right'>" . $netAmt . "</td>";
                                            echo "<td  align='right'>" . $s_amt_p . "</td>";
                                            ?>
                                        <!--<td  align='right'> <?php echo $d_amt; ?></td>-->
                                        <?php
                                        echo "<td  align='right'>" . $t . "</td></tr>";
                                        //echo "<td  align='right'>" .$receipt_discount . "</td></tr>";

                                        $t_size = $t_size + $row77['service_count'];
                                        $total_paid = $total_paid + $netAmt;
                                        $total_panding = $total_panding + $s_amt_p;
                                        $t_d_amt = $t_d_amt + $d_amt;
                                        $total = $total + $t;
                                    }
                                }





                                //this is for xray summary
                            }
                            ?>


                            <tr>
                                <td colspan="7" id="sep"></td>
                            </tr>

                            <tr>
                                <td  align="left"><b><?php echo 'Total'; ?></b></td>
                                <td  align="right"><b><?php echo $t_size; ?></b></td>

                                <td  align="right"><b><?php echo $total_paid; ?></b></td>
                                <td  align="right"><b><?php echo $total_panding; ?></b></td>

                                <td  align="right"><b><?php echo $total; ?></b></td>


                            </tr>

                            </tbody>
                        </table>
                        
                         <table style="font-size:12px;" border="0" cellpadding="2" cellspacing="0" width="70%" align="center">
                            <thead>
                                <tr>
                                    <td colspan="7" id="sep"></td>
                                </tr>
                                <tr>
                                    <?php if ($_REQUEST['grp_cd'] = 'LAB') { ?>
                                    <th colspan="3" align="left" width="100px" style="min-width:1.5in;max-width:1.5in">
                                            <b>Test Type</b>
                                        </th>
                                        <th align="right" width="100px">
                                            <b>Count</b>
                                        </th>
                                        <th align="right" colspan="5" width="100px">   </th>
                                    <?php } ?>


                                    
                                </tr>
                                <tr>
                                    <td colspan="7" id="sep"></td>
                                </tr>
                            </thead>
                            <tbody>

                                <?php
                                if ($_REQUEST['grp_cd'] = 'LAB') {
//                                    select lr.test_grp_cd,COUNT(tgm.test_classification) from lab_request lr, test_group_master tgm where lr.test_grp_cd = tgm.test_grp_cd AND lr.req_date >= '2025-05-01' AND lr.req_date <='2025-05-06' group by tgm.test_classification; //qry without use service_request table
                                    $classificationQry = "select lr.test_grp_cd,gm.gm_description,COUNT(tgm.test_classification) AS count from service_request r , lab_request lr, test_group_master tgm, general_master gm"
                                            . " where r.service_grp_cd = 'LAB' AND r.req_id = lr.service_req_id AND lr.test_grp_cd = tgm.test_grp_cd AND gm.gm_code = tgm.test_classification AND gm.master_cd = 'TESTTYPE' AND is_request_cancelled = 'N' AND r.req_date >= '$date5' AND r.req_date <='$date6'";
                                    if ($free != '') {
                                        $classificationQry = $classificationQry . (" AND r.receipt_discount = r.service_amt AND r.service_amt != 0 ");
                                    }

                                    
                                if($filterType == "1"){
                                    $classificationQry = $classificationQry . (" AND r.dept_seq_no != 0 ");
                                }

                                if($filterType == "2"){
                                    $classificationQry = $classificationQry . (" AND r.dept_seq_no = 0 ");
                                }

                                    $classificationQry = $classificationQry . (" group by tgm.test_classification");
//                                    echo $classificationQry;
                                    $classificationresult = mysqli_query($conn,"$classificationQry");

                                    if (false === $classificationresult) {
                                        echo mysqli_error($conn);
                                    }
$classificationCountTotal = 0;
                                    while ($classificationRow = mysqli_fetch_array($classificationresult)) {
                                     $count =  $classificationRow['count']; ?>
                                <tr>
                                    <td colspan="3"><?php echo $classificationRow['gm_description']; ?></td> 
                                    <td align="right"><?php echo $count; ?></td> 
                                </tr> 
                              <?php 
                                        $classificationCountTotal = $classificationCountTotal + $count;
//                                        var_dump($classificationCountTotal) ;
   }

?>
                                    <tr>
                                <td colspan="7" id="sep"></td>
                            </tr>

                            <tr>
                                <td  align="left"><b><?php echo 'Total'; ?></b></td>
                                <td colspan="3" align="right"><b><?php echo $classificationCountTotal; ?></b></td>
                                <td align="right" colspan="3" width="100px">   </td>
                            </tr>
                            <?php
                            }
                            ?>
                            </tbody>
                        </table>

                    </div>
                    </div>
                    <center>
                        <button accesskey="X" style="background:#1458ce; color:#fff;  padding:6px 12px; border:1px solid #1458ce;" class="no-print"  name="saveToExcel" id="saveToExcel" type="button" autofocus>E<u>x</u>cel</button>
                        <!--<input name="printer" type="button" id="printer" value="Print" class="no-print" onClick="print();" autofocus>-->
                        <button accesskey="P" class="no-print btnPrint" name="printer" type="button" onClick="print()" autofocus><u>P</u>rint</button>
                    <?php if ($free == '') { ?>
                        <button class="btnBack no-print"><a accesskey="B" href="lab_repo_in.php?grp_cd=LAB" class="no-print" style="text-decoration:none; color:#fff;"><u>B</u>ack</a></button>
                    <?php } else { ?>
                       <button class="btnBack no-print"><a accesskey="B" href="lab_repo_in.php?grp_cd=LAB&&free=<?php echo $free; ?>" class="no-print" style="text-decoration:none; color:#fff;"><u>B</u>ack</a></button>
                        <?php } ?>
                         
                        
                       
                    </center>     
                </form>
            <?php } ?>
            <?php
        }
        mysqli_close();
        ?>
    </body>
</html>
